Copyright: Copyright @ 1995  Novell, Inc.


ARP_AGING_TIMEOUT

Specifies the number of seconds an entry is kept in the ARP cache.

Syntax: arp_aging_timeout number

Default:  300

Range:  1 to 7200

Example:

PROTOCOL TCPIP

ARP_AGING_TIMEOUT 400


ARP_AGING_TIMEOUT SA
Related Topics

Protocol TCPIP

Protocol IPX*

Protocol SPX*


ARP_CACHE_MAX

Specifies the maximum number of ARP cache entries.

Syntax:  arp_cache_max number

Default:  64 entries

Range:  8 to 256

Example:

PROTOCOL TCPIP

ARP_CACHE_MAX 128


ARP_TIMEOUT

Specifies the number of seconds Client 32* waits to receive a response from ARP request before timing out.

Syntax:  arp_timeout number

Default:  5 seconds

Range:  1 to 120

Example:

PROTOCOL TCPIP

ARP_TIMEOUT 10

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


AdapterInstance

Specify the network adapter instance to identify the logical board that you want IPX* to bind to (or that you want IPX to use as the primary board) based on the frame type and MLID* short name that you specified.

A "1" specifies the first instance of the network adapter based on the specified MLID short name.

Specify an AdapterInstance only if you have more than one network adapter of the same type.

Notes

An asterisk ( * ) specifies all instances.

The AdapterInstance numbers are integers beginning with 1.

If you specify a number for AdapterInstance, you must also specify an MLID short name.

If your computer has more than one type of network board installed, the value of AdapterInstance is the same for all logical boards.

If your computer has more than one network board of the same type, the value of AdapterInstance must be unique for each network board.

The instance of a network board is determined by load order. You might have to experiment with different numbers to find the correct number.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Alert Beep

Sounds an alert on the computer's speaker each time Client 32* displays a status message in text mode.

Syntax: alert beep on | off

Default:  on

Example:

NIOS

ALERT BEEP OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Alert Beep SA
Related Topics

Ignore Below 16Meg Memory Allocate Flag

Log File

Log File Size

Mem Pool Size

Use Video

NIOS* Section


Auto Reconnect Level

Specifies the network services Client 32* performs when restoring the computer's connection to the network.

Syntax:  auto reconnect level = number

Default:  3

Range:  0 to 4

0 = No auto-reconnect

1 = Devices (connections, drives, printers) only

2 = Above plus read-only files

3 = Above plus all files and file locks

4 = Above plus recovery guarantee

Example:

NETWARE DOS REQUESTER

AUTO RECONNECT LEVEL = 4

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Auto Reconnect Level SA
Related Topics

NetWare* Protocol


Autoretries

Specifies the number of times NetWare*/IP* retries a DSS request without a receiving a response.

Syntax:  autoretries number

Default:  1

Range:  0 to 10

Example:

NWIP

AUTORETRIES 3

Note

This is an optional parameter.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Autoretries SA
Related Topics

Autoretry Secs

Nearest NWIP Server

NSQ Broadcast

NWIP Domain Name

NWIP1_1 Compatibility

Preferred DSS

NWIP


Autoretry Secs

Specifies the number of seconds NetWare*/IP* waits between retries of unanswered DSS requests.

Syntax:  autoretry secs number

Default:  10 seconds

Range:  5 to 60

Example:

NWIP

AUTORETRY SECS 5

Note

This is an optional parameter.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Autoretry Secs SA
Related Topics

Autoretries

Nearest NWIP Server

NSQ Broadcast

NWIP Domain Name

NWIP1_1 Compatibility

Preferred DSS

NWIP


Bind

Identifies the network interface for TCP/IP. This parameter is used for backward compatibility with LAN Workplace*. Use Net Bind if you do not need LAN Workplace support.

Syntax:  bind driver  [#board_number ] [frame_type ] [network_name ]

Default:  none

Example:

PROTOCOL TCPIP

BIND NE2000

Detailed Example

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Buffers

Configures the number and size of receive buffers that the 16-bit Link Support Layer* (LSL.COM) manages.

Syntax: buffers communication_buffers [buffer_size]

Default:

For IPX: 0 communication buffers, 1500 bytes

For TCP/IP: 8 communication buffers, 1500 bytes

Range:

communication_buffers: >0

buffer_size: >638

Example:

LINK SUPPORT

BUFFERS 8 1514

Notes

The number of communication buffers must be large enough to hold all protocol headers and the maximum data size. If you make many connections, you should increase the number of buffers to increase performance.

If the protocol you are using builds the media header (MAC) for the LAN driver, then you need to set the buffer size large enough to manage the header also.

For example, IPX* requires 512 bytes (LAN header) + 74 bytes (protocol header) + 52 bytes (MAC) = 638 bytes.

The number of communication buffers multiplied by the buffer size cannot exceed 65,536.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Buffers SA
Related Topics

Max Boards

Max Stacks

Mempool

Link Support


Cache Writes

Stores data in computer memory before writing the data to a network drive.

Syntax:  cache writes = on | off

Default:  on

Example:

NETWARE DOS REQUESTER

CACHE WRITES = OFF

Notes

ON improves the speed of Client 32* software.

OFF improves data integrity but reduces the speed of Client 32.

ON can cause data loss if the NetWare server runs out of disk space between write requests.

This parameter is disabled if the True Commit parameter is ON.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Cache Writes SA
Related Topics

True Commit

Max Cache Size

File Cache Level

Opportunistic Locking

NetWare* Dos Requester*


Checksum

Specifies the validation level of NetWare* Core Protocol* (NCP*) packets.

Syntax:  checksum = number

Default:  1

Range:  0 to 3

0 = Disabled
1 = Enabled but not preferred
2 = Enabled and preferred
3 = Required

Example:

NETWARE DOS REQUESTER

CHECKSUM = 3

Notes

2 or 3 increases data integrity but decreases performance.

Ethernet frame type 802.3 does not support checksum.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Close Behind Ticks

Specifies the number of ticks Client 32* waits to close a file after receiving a close request.

Syntax:  close behind ticks number

Default:  0

Range:  0 to 65535

Example:

NETWARE DOS REQUESTER

CLOSE BEHIND TICKS 36

Notes

0 increases data integrity but decreases performance.

This parameter increases performance most when files are opened and closed frequently.

If a file is opened again during the delay period specified by this parameter, the file is loaded from the computer's cache instead of from the network.

If Close Behind Ticks is 0, Delay Writes is disabled.

File Cache Level does not affect Close Behind Ticks.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Close Behind Ticks SA
Related Topics

Delay Writes

File Cache Level


Community Name Syntax

A community name is a word composed of any ASCII characters except the following:

space

tab

open square bracket ( [ )

equal sign ( = )

colon ( : )

semicolon ( ; )

double quotation mark ( " )

number sign ( # )


Contents
Client 32 NET.CFG Parameters

Overview

Overview of NET.CFG

What's New?

Modifying NET.CFG

NET.CFG Sections

Desktop SNMP

Host MIB

Link Driver

Link Support

Named Pipes

NetBIOS

NetWare DOS Requester

NetWare DOS TSA

NIOS

NWIP

Protocol IPX

Protocol TCPIP

SNMP Transport Provider

Reference

Examples

Frame Types

Client 32 Setup

Trademarks


Control Community

Specifies the community that can set SNMP parameters on the computer when the Enable Control Community parameter is set to "specified."

Syntax:  control community = name

Default:  none

Example:

Desktop SNMP

enable control community = specified

control community = secret


Control Community SA
Related Topics

Enable Control Community

Overview of Desktop SNMP Communities

Monitor Community

Trap Community

Desktop SNMP


DOS Name

Sets the %OS variable to the name specified in quotation marks.

Syntax:  dos name = "name"

Default:  MSDOS

Example:

NETWARE DOS REQUESTER

DOS NAME = "Novell DOS 7"

Notes

The %OS variable in the login or profile script uses this variable when mapping a search drive to the network DOS directory.

Client 32 can detect DR DOS*. Setting the DOS Name overrides the auto-detect feature.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


DOS Name SA
Related Topics

Long Machine Type

Short Machine Type

NetWare* DOS Requester*


Delay Writes

Specifies whether writes can be delayed beyond the close of an application.

Syntax:  delay writes on | off

Default:  off

Example:

NETWARE DOS REQUESTER

DELAY WRITES ON

Notes

Use this parameter if you run applications that repeatedly close and reopen files, such as overlay files.

When Delay Writes is ON, network writes lag behind an application's close file request. This allows the application to continue without waiting for the data to be written to a network drive.

ON improves the performance of the server by writing data over a longer period. When Delay Writes is ON, Client 32* writes 8 KB of data every 1/18 of a second until all data is written to the network drive.

When you exit Windows or the MS-DOS** Prompt where you were running a program while Delay Writes is ON, all outstanding cached data is written to the network drive immediately.

The amount of time for the delay is specified by the Close Behind Ticks parameter.  If the value of Close Behind Ticks is 0, writes are not delayed regardless of the value of Delay Writes.

If Cache Writes is OFF, writes are not delayed regardless of the value of Delay Writes.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Delay Writes SA
Related Topics

Close Behind Ticks

Cache Writes

NetWare* DOS Requester*


Desktop SNMP

Overview

Overview of SNMP

Desktop SNMP Communities

MIB-II Support

Parameters

Control Community

Enable Control Community

Enable Monitor Community

Enable Trap Community

Monitor Community

snmpEnableAuthenTrap

sysContact

sysLocation

sysName

Trap Community

Example

SNMP Section Example


Desktop SNMP Comm SA
Related Topics

Enable Control Community

Control Community

Enable Montior Community

Monitor Community

Enable Trap Community

Trap Community

Desktop SNMP


Desktop SNMP Option Example
Desktop SNMP Example

Desktop SNMP

enable monitor community = any

monitor community = public

enable control community = specified

control community = public

enable trap community = specified

trap community = public

sysName = Suzanne Morley x893

sysLocation = Building 2

sysContact = suzanne@acompany.com

snmpEnableAuthenTrap = on

SNMP Transport Provider IPX

trap target = ab123456:0123456789ab

trap target = cd654321:ba9876543210

SNMP Transport Provider UDP

trap target = 99.88.77.66

trap target = 88.11.22.33


Desktop SNMP SA
Related Topics

SNMP Transport Provider Section

Host MIB


Detailed Bind Example

The following example binds TCP/IP to two different LAN boards. The first board is a 3COM** 3C5O9 and TCP/IP is configured using NET.CFG parameters. The first network interface is labeled "interface_1" using the Bind parameter.

The second board is an NE2000* and TCP/IP is configured dynamically using BOOTP. The second network interface is labeled "interface_2."

PROTOCOL TCPIP

BIND 3C5X9 1 ETHERNET_II interface_1
IP_ADDRESS 130.57.4.126 interface_1
IP_NETMASK 255.255.252.0 interface_1

IP_ROUTER 130.57.4.254 interface_1

BIND NE2000 2 ETHERNET_II interface_2
IF_CONFIGURATION BOOTP interface_2

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Directory Tree

A hierarchical structure of objects in the Directory database. The Directory tree includes container objects that are used to organize the network.

The structure of the Directory tree can be based on a logical organization of objects, and not necessarily on their physical location.


Dirty Cache Buffers
Dirty Cache Buffer

A buffer that contains data that has changed but the changes have not yet been written to the network.


Disk Buffers

Determines the size (in KB) for the disk buffers for the Target Service Agent (TSA).

Syntax:  disk buffers = number_kbytes

Default:  1

Range:  1 to 30

Example:

NETWARE DOS TSA

DISK BUFFERS = 23

Notes

You should specify as large a number as you can based on the conventional memory usage of your computer.

The disk buffer acts as a cache for 1KB disk requests.

Increasing the size of the buffers increases the speed of the data transfer, but it requires more conventional memory.


Disk Buffers SA
Related Topics

Disk Buffers

Drives

Password

Stack Size

TSA Server Name

Workstation Name


Drives

Specifies the hard drives managed by the Target Service Agent.

Syntax:  drives = drive_letter

Default:  C

Example:

NETWARE DOS TSA

DRIVES = C  D

Note

The Target Service Agent does not manage floppy drives or network drives.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Enable Community Any
Enable Control Community: Any

Any SNMP community can perform SNMP SET commands on the computer.


Enable Community Off

The computer does not send any alerts over SNMP.


Enable Community Specified

Only the community specified by the Control Community parameter can perform SNMP SET functions on the computer. If no community is specified by this parameter, no community can control the computer.


Enable Control Community

Specifies which SNMP communities can control the SNMP agent on the computer.

Syntax:  enable control community = specified | any | off

Default:  off

Example:

Desktop SNMP

enable control community = specified

control community = admin

Note

OMITTED is no longer a valid value for this parameter.


Enable Control Community SA
Related Topics

Control Community

Monitor Community

Trap Community

Over view of Desktop SNMP Communities

Desktop SNMP


Enable Control Community: Off

No SNMP community can perform SNMP SET commands on the computer.


Enable Monitor Community

Specifies which SNMP communities can query the computer for information.

Syntax:  enable monitor community = specified | any | off

Default:  any

Example:

Desktop SNMP

enable monitor community = specified

monitor community = admin

Note

OMITTED is no longer a valid value for this parameter.


Enable Monitor Community SA
Related Topics

Monitor Community

Control Community

Trap Community

Communities

Desktop SNMP


Enable Monitor Community: Any

Any SNMP community can perform SNMP GET commands on the computer.


Enable Monitor off
Enable Monitor Community: Off

No SNMP communities can perform SNMP GET commands on the computer.


Enable Trap Community

Specifies whether a specific community or no communities can access alerts sent by the computer.

Syntax:  enable trap community = specified | off

Default:  specified

Example:

Desktop SNMP

enable trap community = off

Note

OMITTED is no longer a valid value for this parameter.


Enable Trap Community SA
Related Topics

Trap Community

Trap Target

snmpEnableAuthenTrap

Control Community

Monitor Community

Overview of Desktop SNMP Communities

Desktop SNMP


Environment Pad

Adds the specified number of bytes to the DOS environment for DOS programs.

Syntax:  environment pad = number

Default:  17

Range:  17 to 512

Example:

NETWARE DOS REQUESTER

ENVIRONMENT PAD = 512

Note

Use this parameter if you have DOS applications that need to add to the environment after Windows** is loaded.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Environment Pad SA
Related Topics

DOS Name

Show Dots

NetWare* DOS Requester*


Examples

NetWare* DOS Requester* Section

Protocol TCPIP Section

Host MIB Section

Desktop SNMP Section


File Cache Level

Specifies what file data Client 32* caches.

Syntax:  file cache level number

Default:  3

Range:  0 to 4

0 = Disabled

1 = Read-ahead and write-behind only

2 = Short-lived caching

3 = Long-lived caching

Example:

NETWARE DOS REQUESTER

FILE CACHE LEVEL 2

Notes

Higher caching levels increase the speed of Client 32.

Network writes are not cached if True Commit is ON or if Cache Writes is OFF.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


File Cache Level SA
Related Topics

True Commit

Cache Writes

Max Cache Size

Opportunistic Locking

NetWare* DOS Requester*


File Cache Level:  Disabled

A value of 0 disables file caching, so that Client 32* does not cache file data.


File Cache Level:  Long-Lived Caching

Long-lived caching retrieves file data from the client computer's memory (cache) instead of from the network drive if the following two conditions are met:

1.	The file is re-opened while the file's data is still in the computer's memory.

2.	There were no changes made to the file since the file data was last cached.


File Cache Level:  Read-Ahead and Write-Behind Only

Configures Client 32* to read and write full blocks of data (up to 4 KB) in network file operations. This can reduce the number of network read and write requests and make the file load faster on the client.


File Cache Level:  Short-Lived Caching

Configures Client 32* to cache file data only while the file is open.


First Network Drive

Sets the letter of the first drive available for logical network mapping. Usually, drives A: through E: are used as local drives and drives F: through Z: are assigned to network drives.

Syntax:  first network drive = drive_letter

Default:  first available drive

Range:  A to Z

Example:

NETWARE DOS REQUESTER

FIRST NETWORK DRIVE = G

Note

Do not type a colon after the letter.


First Network Drive SA
Related Topics

Force First Network Drive

NetWare* DOS Requester*


Force First Network Drive

Maps the first network drive to the SYS:LOGIN directory after logging out of a server or Directory.

Syntax:  force first network drive on | off

Default:  off

Example:

NETWARE DOS REQUESTER

FORCE FIRST NETWORK DRIVE ON

Notes

For this parameter to work, also set the First Network Drive parameter.

ON maps the first network drive to the SYS:LOGIN directory after logging out.

OFF maps the drive letter you logged out from to SYS:LOGIN. If you logout from a local drive, Client 32 maps the first network drive to SYS: LOGIN.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Force First Network Drive SA
Related Topics

First Network Drive

NetWare* DOS Requester*


Frame

Enables the frame types used by the LAN driver.

Syntax: frame_type [addressing mode]

Default:

Ethernet ODI LAN Drivers: ETHERNET_802.2

Token-ring ODI LAN Drivers: Token-Ring

TCP/IP ODI LAN Driver: SLIP_PPP: SLIP

Example:

LINK DRIVER NE2000

FRAME	ETHERNET_802.2


Frame Types

The follwing table lists the possible frame types you can specify in NET.CFG:

Name	Frame Type	Protocols
3270_COAXA	Harris Adacom	IPX*/SPX*
802.4	Token-passing bus	IPX/SPX
DATACO_OSI	Dataco	IPX/SPX
ETHERNET_802.2	Ethernet (802.3) using an 802.2 frame type	IPX/SPX, NetBIOS, SNA
ETHERNET_802.3	IPX 802.3 raw encapsulation	IPX/SPX
ETHERNET_II	Ethernet using a DEC Ethernet II	AARP, AppleTalk**, ARP, IP, IPX/SPX, RARP, XNS**
ETHERNET_SNAP	Ethernet (802.3) using and 802.2 with SNAP	AARP, AppleTalk 8000, ARP, IP, IPX/SPX, RARP, XNS
FDDI_802.2	FDDI using an 802.2	IPX/SPX, SNA
FDDI_SNAP	FDDI using 802.2 with a SNAP frame type	AARP, AppleTalk 80007, ARP, IP, IPX/SPX, RARP, XNS
Frame_Relay
GNET	Gateway G/Net**	IPX/SPX
IBM_PCN2_802.2		IPX/SPX, NETBIOS
IBM_PCN2_SNAP		ARP, IP, IPX/SPX, NETBIOS, RARP
IBM_SDLC
IP	IP Tunnel frame envelope	IP, IPX/SPX
ISDN	Integrated Services Digital Network (not available)	IPX/SPX
IVDLAN_802.9	Commutex, Inc. frame	IPX/SPX
IWI_BUS-NET_SNAP	Integrated Workstations
LANPAC_II	Racore	IPX/SPX
LOCALTALK	The Apple** LocalTalk**	AppleTalk
NOVELL_RX-NET	Novell RX-Net	ARP, IP, IPX/SPX, RARP
OMNINET/4	Corvus frame	IPX/SPX
PCO_FDDITP	PC Office
PRONET-10	Proteon** ProNET** I/O	IPX/SPX
PPP	Point-to-Point Protocol	IP
RANGELAN	Proxim
SLIP		IP, IPX, LAT
SNA_LINKS
Token-Ring	Token ring (802.5) using an 802.2 frame type	IPX/SPX, SNA, NetBIOS
Token-Ring_SNAP	Token ring (802.5) using an 802.2 frame type with SNAP	ARP, IP, IPX/SPX, RARP
VIRTUAL_LAN	For use where no Frame ID/MAC frame type is necessary	IPX/SPX
WAIDNET	Hypercommunications
WAN_Client_LAN
X.25	Standard
* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


FrameType

Specify the frame type of the logical board that you want IPX *to bind to, or specify an asterisk ( * ) to bind IPX to all logical boards.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Handle Net Errors

Determines the method for handling network errors.

Syntax:  handle net errors = on | off

Default:  on

Example:

NETWARE DOS REQUESTER

HANDLE NET ERRORS = OFF

Note

A network error is generated when the client doesn't receive a response from the NetWare server.

ON enables Client 32* to handle the error.

OFF makes Client 32 call INT 24, so applications can handle the network error.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Host MIB

Overview

This section lists information about local hardware and software for Host Resources MIB.

Parameters

Modem

Printer

SWDirectorySearchDepth

SWDirectorySearch

Tapedrive


IF_CONFIGURATION

Specifies how the configuration for a particular network interface is obtained.

Syntax:  if_configuration static | bootp | dhcp | rarp [network_name ]

static	configuration defined by additional keywords (IP_ADDRESS, etc.)

bootp	configuration obtained from a BOOTP server

dhcp	configuration obtained from a Dynamic Host Configuration Protocol (DHCP) server

rarp	configuration defined by additional keywords except  for the IP address, which is obtained from a RARP server

Default:  static

Example:

PROTOCOL TCPIP

IF_CONFIGURATION BOOTP

Detailed Example

Note

DHCP is an extension to BOOTP that adds the capablity to automatically allocate reusable network adresses through IP address leasing.

The example above works when TCP/IP binds to the default interface (the first logical board loaded). Otherwise, a combination of BIND and IF_CONFIGURATION is needed to identify the interface to configure, as shown in the Detailed Example.


IF_CONFIGURATION SA
Related Topics

IP_ADDRESS

Network Interface

Protocol TCPIP


INT64

Enables DOS programs to use interrupt 64h to access IPX* services.

Syntax:  int64 on | off

Default:  on

Example:

PROTOCOL IPX

INT64 OFF

Notes

To enable programs to use interrupt 64h for something other than access to IPX services, set the value for this parameter to OFF.

Programs should use interrupt 2Fh to get the File Address Register (FAR) call address and then use the FAR call address to access IPX services. This method is preferred because it effectively eliminates conflicting use of interrupt 64h.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


INT64 SA
Related Topics

INT7a

Protocol IPX*


INT7a

Enables DOS programs to use interrupt 7Ah to access IPX* services.

Syntax:  int7a on | off

Default:  on

Example:

PROTOCOL IPX

INT7A OFF

Note

To allow programs to use interrupt 7Ah for something other than access to IPX services, set the value for this parameter to OFF.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


INT7a SA
Related Topics

INT64

Protocol IPX*


IPX Diagnostics

Specifies whether the IPX* diagnostics function should be enabled.

Syntax:  ipx diagnostics on | off

Default:  on

Example:

PROTOCOL IPX

IPX DIAGNOSTICS OFF

Note

Specify OFF only if you don't want a network supervisor to be able to query IPX and SPX* statistics on the computer.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


IPX Diagnostics SA
Related Topics

Protocol IPX*


IPX Retry Count

Sets the number of times Client 32* tries to find a route to a destination.

Syntax:  ipx retry count number

Default:  20

Range:  0 to 65535

Example:

PROTOCOL IPX

IPX RETRY COUNT 30

Notes

If IPX* or SPX* applications are timing out, increase the value of this parameter.

If a GetLocalTarget operation fails to find a route, IPX waits and then tries again until it finds a route or until this retry count is reached.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


IPX Retry Count SA
Related Topics

Protocol IPX*


IP_ADDRESS

Defines the IP address for the network interface.

Syntax:  ip_address ip_address  [network_name ]

Default:  none

Example:

PROTOCOL TCPIP

IP_ADDRESS 222.33.44.55

Note

Only one IP address per network interface is allowed.


IP_ADDRESS SA
Related Topics

IF CONFIGURATION

Network Interface

Protocol TCPIP

Protocol IPX*

Protocol SPX*


IP_ADDRESS Value

Specify the IP address of the network interface in dotted notation (1.1.1.1).


IP_BROADCAST

Defines the broadcast address of the network interface.

Syntax:  ip_broadcast ip_address [network_name ]

Default:  0.0.0.0

Example:

PROTOCOL TCPIP

IP_BROADCAST 255.255.255.255


IP_BROADCAST SA
Related Topics

Network Interface

Protocol TCPIP


IP_NETMASK

Defines the network mask for the network interface.

Syntax:  ip_netmask ip_address  [network_name ]

Default:  none

Example:

PROTOCOL TCPIP

IP_NETMASK 255.255.252.0


IP_REASSEMBLY_TIMEOUT

Specifies the number of seconds the TCP/IP stack waits for all pieces of a fragmented IP packet to arrive.

Syntax:  ip_reassembly_timeout number

Default:  15 seconds

Range:  1 to 120

Example:

PROTOCOL TCPIP

IP_REASSEMBLY_TIMEOUT 20


IP_RIP

Enables Routing Information Protocol (RIP) in TCP/IP. When enabled (set to YES), IP monitors RIP traffic for routing information.

Syntax:  ip_rip yes | no

Default:  no

Example:

PROTOCOL TCPIP

IP_RIP YES


IP_RIP Values

Specify YES if you want TCP/IP to use RIP.

Specify NO if you don't want TCP/IP to use RIP.


IP_ROUTER

Defines the IP address of the default router for packets being sent to remote networks when no specific routing information to the destination network exists.

Syntax:  ip_router ip_address [network_name ]

Default:  none

Example:

PROTOCOL TCPIP

IP_ROUTER 222.33.44.50

Notes

A maximum of three IP_ROUTER entries per network interface can be used.

The order of IP_ROUTER entries determines the order in which the routers are used.


IP_RTSW_TRIGGER

Specifies the number of TCP retransmitions as a threshold to trigger switching to use another router. This enables "dead router" detection.

Syntax:  ip_rtsw_trigger number

Default:  3 retransmits

Range:  1 to TCP_RXMIT_LIMIT+1

Example:

PROTOCOL TCPIP

IP_RTSW_TRIGGER 4

Notes

A value larger than TCP_RXMIT_LIMIT+1 effectively disables this feature.

The largest value you can specify for the IP_RTSW_TRIGGER parameter is one greater than the value of the TCP_RXMIT_LIMIT parameter.


IP_RTSW_TRIGGER SA
Related Topics

TCP_RXMIT_LIMIT

Protocol TCPIP


IP_TTL

Specifies the time to live (TTL) value (in hops) of an IP packet.

Syntax:  ip_ttl number

Default:  128

Range:  1 to 255

Example:

PROTOCOL TCPIP

IP_TTL 160

Note

This value should be twice the longest possible path (in number of hops) an IP packet might travel.


IRQ

Specifies the interrupt the network board uses.

Syntax: irq [#1 | #2] interrupt_request_number

Default: #1

Example:

LINK DRIVER NE2000

IRQ	 5


Ignore Below 16Meg Memory Allocate Flag

Specifies whether NIOS.EXE tries to get memory below the 16 megabyte boundary if specifically requested to do so.

Warning: Avoid changing the value of this parameter to ON. If you run out of memory below the 16 MB boundary, try to free up some of it.

Syntax:  ignore below 16meg memory allocate flag = on | off

Default:  off

Example:

NIOS

IGNORE BELOW 16MEG MEMORY ALLOCATE FLAG = ON

Notes

OFF configures NIOS to accomodate requests for memory below 16 MB. If there is no free memory below 16 MB, the allocation fails and the program or function fails to run.

ON configures NIOS.EXE to ignore where the memory is requested. The allocated memory could be either above or below the 16 MB boundary.

Some network boards must have memory below 16 MB.


LIP Start Size

Specifies the starting value for negotiating the Large Internet Packet (LIP) size.

Syntax:  lip start size = number

Default:  65535

Range:  1 to 65535 (bytes)

Example:

NETWARE DOS REQUESTER

LIP START SIZE = 32768

Notes

Use this parameter to reduce the amount of traffic caused by the negotiation process over slow links.

When the Large Internet Packets parameter is OFF, the LIP Start Size parameter has no effect.


LIP Start Size SA
Related Topics

Large Internet Packets

NetWare* DOS Requester*


Large Internet Packets

Sets the Large Internet Packet (LIP) packet size above the default of 576 bytes.

Syntax:  large internet packets = on | off

Default:  on

Example:

NETWARE DOS REQUESTER

LARGE INTERNET PACKETS = OFF

Notes

Some routers and bridges use only 576-byte packets. Client 32* can use only 576-byte packets, over such routers.

You can use the LIP Start Size to specify the starting value for negotiating the Large Internet Packet size.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Large Internet Packets SA
Related Topics

LIP Start Size

NetWare* DOS Requester*


Large Internet Packets Values

Specify ON for Client 32* to use the maximum packet size negotiated between the NetWare* server and the client. This packet size is used even across routers and bridges.

Specify OFF to use a packet size of 576 bytes.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Link Driver

Overview

Use this section to specify the hardware and software configurations of each network board that uses a 16-bit ODI* LAN driver. You can also use this section to control the frame type and protocols for NetWare supported LAN drivers.

The 32-bit Link Support Layer* (LSLC32.NLM) does not use Link Driver NET.CFG parameters. Use command line parameters to specify settings for 32-bit ODI LAN drivers.

Parameters

FRAME
IRQ
PORT

Example

Link Driver Example

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Link Driver Example

The Link Driver section requires a separate section for each 16-bit ODI* LAN driver the computer uses.

Syntax: link driver driver_name

parmeter_name, value

Example:

LINK DRIVER NE2000

INT	5

PORT	360

FRAME	ETHERNET_802.2

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Link Support

Overview

Use the Link Support section to configure settings for the 32-bit Link Support Layer* (LSLC32.NLM) and the 16-bit Link Support Layer (LSL.COM).

32-bit LSL Driver Parameters

Max Buffer Size

16-bit LSL Parameters

Buffers

Max Boards

Max Stacks

Mempool


Lock Delay

Specifies the number of ticks Client 32* waits after a SHARE failure, before trying lock a file.

Syntax:  lock delay = number

Default:  1 tick

Range:  1 to 65535

Example:

NETWARE DOS REQUESTER

LOCK DELAY = 50

Notes

Use this parameter if clients frequently receive SHARE error messages when opening network files.

When several users attempt to access a file at the same time, Client 32 might be unable to access the file before the Lock Delay time expires.

This number is used for lock types that do not have a wait ability. For locks that have a wait ability, the wait time is calculated by multiplying this parameter number by the LOCK RETRIES number and then multiplying by 2. The resulting number is the time, in ticks, the client waits for a lock.

To determine the total time (in ticks) needed to broadcast a name resolution packet across the network, multiply the wait time value by the value used for the LOCK RETRIES parameter.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Lock Delay SA
Related Topics

Lock Retries

NetWare* DOS Requester*


Lock Retries

Specifies the number of times Client 32* attempts to lock a network file after receiving a SHARE failure.

Syntax:  lock retries = number

Default:  2

Example:

NETWARE DOS REQUESTER

LOCK RETRIES = 3

Notes

Increase the value of this parameter if a client frequently receives error messages when a file is requested.

This parameter is part of an equation that determines the total time NetWare* Client* 32 waits when attmpting to access a locked file.

This number is used for lock types that do not have a wait ability. For locks that have a wait ability, the wait time is calculated by multiplying this parameter number by the LOCK DELAY number and then multiplying by 2. The resulting number is the time, in ticks, the client waits for a lock.

To determine the total time (in ticks) needed to broadcast a name resolution packet across the network, multiply the wait time value by the value used for the LOCK RETRIES parameter.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Lock Retries SA
Related Topics

Lock Delay

NetWare* DOS Requester*


Log File

Specifies the name of the Client 32* log file.

Syntax:  log file logfile_path

Default:  client_32_working_dir  \NIOS.LOG

Example:

NIOS

LOG FILE C:\NOVELL\CLIENT32\LOG.TXT

Notes

Specify the name, including the path, for the log file.

To log Client 32 messages, type "ENABLE LOGGING" after running NIOS.EXE, or specify the /l option on the NIOS.EXE command.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Log File SA
Related Topics

Alert Beep

Ignore Below 16Meg Memory Allocate Flag

Log File Size

Mem Pool Size

Use Video BIOS

NIOS.EXE


Log File Size

Specifies the maximum size (in bytes) of the log file.

Syntax:  log file size number

Default:  65535

Range:  1 to 1048576

Example:

NIOS

LOG FILE SIZE 524288

Notes

The default is about 64 KB, and the example shows how to set the size to about 512 KB.

To log Client 32* messages, type "ENABLE LOGGING" after running NIOS.EXE, or specify the /l option on the NIOS.EXE command.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Log File Size SA
Related Topics

Alert Beep

Ignore Below 16Meg Memory Allocate Flag

Log File

Mem Pool Size

Use Video BIOS

NIOS


Long Machine Type

Sets the %MACHINE variable to the name specified in quotes.

Syntax:  long machine type = "name"

Default:  IBM_PC

Example:

NETWARE DOS REQUESTER

LONG MACHINE TYPE = "COMPAQ"

Notes

Use this parameter to set  to the correct version of DOS the computer's network search path.

You can specify a 1-to-6 character string for the name  variable.


Long Machine Type SA
Related Topics

DOS Name

Short Machine Type

NetWare* DOS Requester*


Max Boards

Configures the maximum number of logical boards the the 16-bit Link Support Layer* (LSL.COM) can manage.

Syntax: max boards number

Default: 4

Range: 1 to 16

Example:

LINK SUPPORT

MAX BOARDS 2

Notes

Each LAN driver resource or frame type requires about 200 bytes of memory.

If a LAN driver fails to load because of an out-of-resource error, increase the value of this parameter.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Max Boards SA
Related Topics

Buffers

Max Stacks

Mempool

Link Support


Max Buffer Size

Specifies the maximum supported packet size.

Syntax:  max buffer size number

Default:  4736

Range:  100 to 24682

Example:

LINK SUPPORT

MAX BUFFER SIZE 17408

Notes

Use this parameter to optimize performance for media (primarily token ring) that can use packets that are larger than the default size.

If your network board uses bus-mastering, increasing this setting increases system memory usage. Otherwise, system memory usage is usually unaffected by this setting.


Max Cache Size

Sets the largest possible amount of memory (in KB) that NetWare* Client* 32* can use for caching.

Syntax:  max cache size = number

Default:  0

Range:  0 to 9999999

Example:

NETWARE DOS REQUESTER

MAX CACHE SIZE = 1024

Notes

When the value of this parameter is 0, the cache size is dynamically calculated based on the amount of free memory when the CLIENT32 NLM* loads. The following table shows how the cache size increases as the amount of free memory increases.

Total Free Memory	Cache Size
0 bytes to 6 MB	384 KB
6+ MB to 8 MB	512 KB
8+ MB to 12 MB	1.5 MB
12+ MB to 16 MB	2 MB
16+ MB to 20 MB	3 MB
20+ MB to 24 MB	8 MB
24+ MB	50% of total free memory
The amount of memory that is free when the CLIENT32 NLM loads can vary among computers, because each computer has a different memory configuration.

When the value of this parameter is not 0, the cache size is set to the specified value as long as the cache size is not greater than 75% of the total free memory.

For example, if you specify MAX CACHE SIZE 8192 and the total free memory when the CLIENT32 NLM loads is only 8 MB, your cache size would be around 6 MB because 6 MB is 75% of the free memory.

Larger values improve the performance of network file access but decrease the memory available for running applications or caching local drives.

When caching is turned off (by setting the File Cache Level to 0), Client 32 does not use any memory for caching.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Max Cache Size SA
Related Topics

File Cache Level

Cache Writes

NetWare* Dos Requester*


Max Cur Dir Length

Specifies the maximum length of the DOS prompt.

Syntax:  max cur dir length = number

Default:  64

Range:  64 to 255

Example:

NETWARE DOS REQUESTER

MAX CUR DIR LENGTH = 128

Note

Some applications do not function correctly if this value is greater than 64.


Max Cur Dir Length SA
Related Topics

Show Dots

NetWare* DOS Requester*


Max Stacks

Specifies the maximum number of logical protocol stack IDs the 16-bit Link Support Layer* (LSL.COM) can manage.

Syntax: max stack number

Default: 4

Range: 1 to 16

Example:

LINK SUPPORT

MAX STACKS 3

Note

If a protocol stack fails to load because of an out-of-resource error, increase the value of this parameter.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Max Stacks SA
Related Topics

Buffers

Max Boards

Mempool

Link Support


Mem Pool Size

Specifies the amount of memory (in KB) that Client 32* allocates for special use.

Syntax:  mem pool size = number

Default:  128

Range:  0 to 4,294,967,295 (KB)

Example:

NIOS

MEM POOL SIZE 256

Notes

Client 32 uses the memory pool for client components (such as NLM* programs) when no more extended memory is available or if a client component is loaded from Windows**.

If the value of MEM POOL SIZE is in the range from 0 to 31, no memory pool is allocated.

The memory pool only uses RAM. Client 32 does not access disk drives for the memory pool.

The memory pool is allocated from extended memory.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Mempool

Specifies the size of the memory pool that the 16-bit Link Support Layer* (LSL.COM) maintains for allocating buffers for some protocols.

Syntax:  mempool number [k]

Default:  0

Example:

LINK SUPPORT

MEMPOOL 1024

Notes

Use the [k] option to change the units from bytes to kilobytes. For example, the example above can be entered as MEMPOOL 1 K.

The IPXODI protocol stack does not use memory pool buffers.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Mempool SA
Related Topics

Buffers

Max Boards

Max Stacks

Link Support


Message Level

Sets how load-time messages are displayed.

Syntax:  message level = number

Default:  1

Range:  0 to 4

0 =	Display copyright message and critical errors

1 =	Display warning messages

2 =	Display program load information

3 =	Display configuration information

4 =	Display diagnostic information

Each message level includes the previous level's message.  For example, level 1 displays warning messages, critical errors, and the copyright message.

Example:

NETWARE DOS REQUESTER

MESSAGE LEVEL = 3


Message Timeout

Specifies the length of time (in ticks) Client 32* displays NetWare broadcast messages before clearing them from the screen without user intervention.

Syntax:  message timeout = number

Default:  0

Range:  0 to 10000

Example:

NETWARE DOS REQUESTER

MESSAGE TIMEOUT = 5000

Note

0 disables the Message Timeout parameter. The user must clear the message when this parameter is set to 0.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Minimum Time to Net

Overrides the time-to-net value defined by the local router during connection.

Syntax:  minimum time to net = number

Default:  0 (milliseconds)

Range:  0 to 65535 (milliseconds)

Example:

NETWARE DOS REQUESTER

MINIMUM TIME TO NET = 0

Notes

This parameter is used for bridged WAN/Satellite links with time-to-net values set too low for workstations to make a connection under either of the following conditions:

The server on the other side of the link is a NetWare* 3* or earlier server not running the Packet Burst* protocol

The transfer rate for the link is 2400 baud or less

One thousand milliseconds equals one second.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


MlidShortName

Specify the MLID* short name of the LAN driver.

Notes

You can leave this blank or type an asterisk ( * ) if you don't know the MLID short name.

If no short name is specified, IPX* binds to all logical boards that are presented to it with the specified frame type.

When using NetWare*/IP*, the MlidShortName is NWIP no matter what the LAN driver is.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Modem

Describes a modem installed on the computer. An SNMP management console can gather this information for the Host Resources MIB.

Syntax:  modem = "modem_information "

Default:  None

Example:

Host MIB

MODEM = "Hayes 14400 BP Modem"

Notes

This parameter is optional.

The SNMP agent cannot detect modems installed on DOS computers. Using this parameter is the only way to include information about the modem in Host Resources MIB.


Modem SA
Related Topics

Printer

SWDirectorySearchDepth

SWDirectorySearch

Tapedrive

Host MIB

Host MIB Section Example


Modifying NET.CFG

To Modify NET.CFG

1.	Open NET.CFG in a text editor.

NET.CFG is located in the Client 32* working directory (NOVELL\CLIENT32 by default).

2.	Determine which parameter you want to modify.

For example, you may want to modify the NAME CONTEXT parameter.

3.	Find the section heading for the parameter. If the section does not yet exist in the file, type the name of the section on a new line, flush with the left margin.

For example, NAME CONTEXT must appear under the NETWARE DOS REQUESTER section.

4.	Type the parameter and the value under the appropriate section. Most parameters are indented.

For example:

NETWARE DOS REQUESTER

NAME CONTEXT = "container.organization"

5.	Save your changes and exit the editor.

6.	To make the changes effective, reload the Client 32 modules that use the parameter you modified or reboot the computer

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Modifying NETCFG SA
Related Topics

Overview of NET.CFG


Monitor Community

Specifies the community that can perform queries on the computer when the Enable Monitor Community parameter is set to "specified."

Syntax:  monitor community = name

Default:  public

Example:

Desktop SNMP

enable monitor community = specified

monitor community = private


Monitor Community SA
Related Topics

Communities

Enable Monitor Community

Control Community

Trap Community

Desktop SNMP


NCP Max Timeout

Specifies the maximum number of seconds Client 32* waits for a network connection.

Syntax: ncp max timeout = number

Default:  30

Range:  0 to 65535

Example:

NETWARE DOS REQUESTER

NCP MAX TIMEOUT = 45

Note

If the network connection cannot be established in the specified amount of time, Client 32 displays an error message.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NIOS

Overview

The NIOS section sets options available for NIOS.EXE.

Parameters

Alert Beep

Ignore Below 16Meg Memory Allocate Flag

Log File

Log File Size

Mem Pool Size

Use Video BIOS


NP Max Comm Buffers

Specifies the number of communication buffers that the extender can use to transmit data to and receive data from the Named Pipes server.

Syntax:  np max comm buffers number

Default:  6

Range:  4 to 40

Example:

NAMED PIPES

NP MAX COMM BUFFERS 10

Note

Placement of Named Pipes parameters in the NET.CFG file should be left-justified. This is an exception to the rule.


NP Max Comm Buffers SA
Related Topics

NP Max Machine Names

NP Max Open Named Pipes

NP Max Sessions

Named Pipes


NP Max Machine Names

Specifies the number of Named Pipes servers that the DOSNP software maintains in a local name table.

Syntax:  np max machine names number

Default:  10

Range:  4 to 50

Example:

NAMED PIPES

NP MAX MACHINE NAMES 14

Notes

This parameter also sets the DOSNP software for peer mode and controls the number of Named Pipes servers that the extender can communicate with.

Placement of Named Pipes parameters in the NET.CFG file should be left-justified. This is an exception to the rule.


NP Max Machine Names SA
Related Topics

NP Max Comm Buffers

NP Max Open Named Pipes

NP Max Sessions

Named Pipes


NP Max Open Named Pipes

Specifies the maximum number of Named Pipes the client can have open at the same time.

Syntax:  np max open named pipes number

Default:  4

Range:  4 to 128

Example:

NAMED PIPES

NP MAX OPEN NAMED PIPES 6

Note

Placement of Named Pipes parameters in the NET.CFG file should be left-justified. This is an exception to the rule.


NP Max Open Named Pipes SA
Related Topics

NP Max Comm Buffers

NP Max Machine Names

NP Max Sessions

Named Pipes


NP Max Sessions

Specifies the number of Named Pipes servers the extender can communicate with in default mode.

Syntax:  np max sessions number

Default:  10

Range:  4 to 50

Example:

NAMED PIPES

NP MAX SESSIONS 25

Notes

This parameter is not used in peer mode.

If both the Maximum Machine Names and Maximum Sessions parameters are used, the value set for Maximum Machine Names overrides the value set for Maximum Sessions.

Placement of Named Pipes parameters in the NET.CFG file should be left-justified. This is an exception to the rule.


NP Max Sessions SA
Related Topics

NP Max Comm Buffers

NP Max Machine Names

NP Max Open Named Pipes


NSQ Broadcast

Tells the NetWare*/IP* client which method to use to determine the nearest NetWare Server.

Syntax:  nsq broadcast on | off

Default:  on

Example:

NWIP

NSQ BROADCAST ON

Note

NSQ BROADCAST is an optional parameter for NetWare/IP.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NSQ Broadcast SA
Related Topics

Autoretries

Autoretry Secs

NWIP Domain Name

NWIP1_1 Compatibility

Preferred DSS

NWIP


NSQ Broadcast Values

When ON, the NetWare*/IP* client broadcasts SAP NSQ to all NWIP servers on the local network.

When OFF, the NetWare/IP client directs SAP Nearest Server Queries to the nearest NWIP server or DSS.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NWIP

Overview

The NWIP section sets options for NetWare*/IP*, a protocol that enables IPX* applications to communicate using IP on the wire.

Parameters

Autoretries

Autoretry Secs

Nearest NWIP Server

NSQ Broadcast

NWIP Domain Name

NWIP1_1 Compatibility

Preferred DSS

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NWIP Domain Name

Specifies the NetWare*/IP* domain configured for your area.

Syntax:  nwip domain name domain_name

Default:  None

Example:

NWIP

NWIP DOMAIN NAME NWIP.ATLANTIC.COM

Note

The NWIP DOMAIN NAME is not required if it is provided by DHCP or BOOTP server.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NWIP1_1 Compatibility

This parameter is used to support the first version of NetWare*/IP* servers and DSS. If your servers are running NetWare/IP v1.1 pre-patch, you should apply the patch or upgrade to version 2.1 or the latest available version of NetWare/IP. In the interim, setting this option to ON will allow this (NetWare/IP 2.1 compliant) client to communicate with the NetWare/IP servers.

Syntax:  nwip1_1 compatibility on | off

Default:  off

Example:

NWIP

NWIP1_1 COMPATIBILITY OFF

Note

NWIP1_1 COMPATIBILITY is an optional parameter for NetWare/IP.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Name Context

Sets the computer's context in the Directory tree when CLIENT32.NLM loads.

Syntax:  name context = "name_context"

Default:  Root

Example:

NETWARE DOS REQUESTER

NAME CONTEXT = "OU=MNGT.O=MARKETING"

Notes

Use NAME CONTEXT to set the context you want to log in to at startup. This enables you to type only your username at login, instead of your full context and username.

Specify the tree you want to attach to when CLIENT32.NLM loads by setting the Preferred Tree parameter.

This parameter and value apply only to clients connecting to a NetWare* 4* network.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Name Context SA
Related Topics

Show Dots

Search Dirs First

Search Mode

Preferred Server

Preferred Tree

NetWare* DOS Requester*


Name Context Value

The name context can be up to 256 characters long plus the NULL command, which indicates the root of the Directory tree.


Name-Claim Packets

Name-claim packets are packets that attempt to establish the uniqueness of the name of the workstation that NetBIOS is running on.


Named Pipes

Overview

The Named Pipes section configures the Named Pipes protocol. The following parameters and values configure the Named Pipes extender (DOSNP.EXE).

Parameters

NP Max Comm Buffers

NP Max Machine Names

NP Max Open Named Pipes

NP Max Sessions


Nearest NWIP Server

Specifies up to 5 of the nearest NetWare*/IP* servers. The server can be specifed by name or address or by an address mask, with each parameter space delimeted.

Syntax:  nearest nwip server server_names

Default:  None

Example:

NWIP

NEAREST NWIP SERVER mydss mydss.atlantic.com 222.33.44.55 222.33.0.0

Note

This is an optional parameter.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Nearest NWIP Server SA
Related Topics

Autoretries

Autoretry Secs

NSQ Broadcast

NWIP Domain Name

NWIP1_1 Compatibility

Preferred DSS

NWIP


Nearest NWIP Server: Server Names

Specify the NetWare*/IP* server names as hostnames, fully qualified hostnames, IP addresses, or IP address masks.

Examples

mydss	- hostname
mydss.atlantic.com	- fully qualified hostname
222.33.44.55	- IP address for mydss
222.33.0.0	- IP address mask for mydss

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Net Bind

Specifies the logical boards IPX* binds to.

Syntax:  net bind FrameType    MlidShortName    AdapterInstance

Default:  IPX automatically binds to all logical boards.

Example:

PROTOCOL IPX

NET BIND ETHERNET_II

More Examples

Notes

Generally, you only need to specify the FrameType of the logical board that you want IPX to bind to. The MlidShortName and AdapterInstance default to all, so IPX binds to all logical boards that use the specified frame type.

If IPX doesn't need to use all the logical boards that are presented to it, you can set the value of this parameter to just those logical boards that are needed. By using this parameter, you increase the speed of Client 32.

You can specify multiple NET BIND statements.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Net Bind (Protocol TCPIP)

Specifies the network interface TCP/IP binds to.

Syntax:  net bind FrameType  MlidShortName  AdapterInstance  [network name ]

Default:  none

Example:

PROTOCOL TCPIP

NET BIND ethernet_ii ne2000 1

Notes

This parameter is similar to Net Bind for Protocol IPX*, with the following exeptions:

Because Protocol TCPIP does not support auto-binding, FrameType, MlidShortName, and AdapterInstance are required parameters in this section. You cannot use the asterisk ( * ) to specify bindings in Protocol TCPIP.

Network Name is an optional parameter that applies only to the Protocol TCPIP section.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Net Bind Examples

PROTOCOL IPX
NET BIND ETHERNET_I
NET BIND ETHERNET_802.2
PRIMARY ETHERNET_802.2

PROTOCOL IPX
NET BIND ETHER_SNAP NE2000 1


Net Bind SA
Related Topics

Primary

List of Frame Types

Protocol IPX*


Net Bind TCPIP SA
Related Topics

Net Bind (Protocol IPX*)

Protocol TCPIP


NetBIOS

Overview

The NetBIOS section configures and controls the number of broadcasts, buffers, and sessions used by the NetBIOS protocol.

Parameters

NetBIOS Abort Timeout

NetBIOS Broadcast Count

NetBIOS Broadcast Delay

NetBIOS Commands

NetBIOS Internet

NetBIOS Listen Timeout

NetBIOS Receive Buffers

NetBIOS Retry Count

NetBIOS Retry Delay

NetBIOS Send Buffers

NetBIOS Session

NetBIOS Verify Timeout


NetBIOS Abort Timeout

Specifies how long (in ticks) NetBIOS waits without receiving any response from the other side of a session before it terminates the session.

Syntax:  netbios abort timeout number

Default:  540 (approximately 30 seconds)

Range:  none

Example:

NETBIOS

NETBIOS ABORT TIMEOUT 1080

Notes

Increase this value if there are NetBIOS nodes across asynchronous lines or large internetworks.

Placement of NetBIOS parameters in the NET.CFG file should be left-justified.  This is an exception to the rule.


NetBIOS Abort Timeout SA
Related Topics

NetBIOS Listen Timeout

NetBIOS Verify Timeout

NetBIOS


NetBIOS Broadcast Count

Specifies how many queries or claims NetBIOS broadcasts for the name being used by an application.

Syntax:  netbios broadcast count number

Default:	If "netbios internet on": 4

If "netbios internet off": 2

Range:  2 to 65535

Example:

NETBIOS

NETBIOS BROADCAST COUNT 8

Notes

Increase the value of this number if you

Have many LAN segments on the network with nodes that need NetBIOS support

Cannot attach to a gateway

To determine the total time (in ticks) needed to broadcast a name resolution packet across the network, multiply this value by the value used for the NETBIOS BROADCAST DELAY parameter.

Placement of NetBIOS parameters in the NET.CFG file should be left-justified.  This is an exception in NET.CFG.


NetBIOS Broadcast Count SA
Related Topics

NetBIOS Internet

NetBIOS Broadcast Delay

NetBIOS


NetBIOS Broadcast Delay

Specifies the number of ticks NetBIOS waits between query or claim broadcasts.

Syntax:  netbios broadcast delay number

Default:	If "netbios internet on": 36

If "netbios internet off": 18

Range:  18 to 65535

Example:

NETBIOS

NETBIOS BROADCAST DELAY 3000

Notes

Increase this value if the packet loss rate is high or if the traffic is high.

Reduce the NETBIOS BROADCAST COUNT parameter value by a similar amount to maintain the same name resolution timeout value.

To determine the total time (in ticks) needed to broadcast a name resolution packet across the network, multiply this value by the value used for the NETBIOS BROADCAST COUNT parameter.

Placement of NetBIOS parameters in the NET.CFG file should be left-justified.  This is an exception to the rule.


NetBIOS Broadcast Delay SA
Related Topics

NetBIOS Internet

NetBIOS Broadcast Count

NetBIOS


NetBIOS Commands

Specifies the maximum number of NetBIOS commands that the NetBIOS driver can buffer.

Syntax:  netbios commands number

Default:  12

Range:  4 to 150

Example:

NETBIOS

NETBIOS COMMANDS 64

Note

Placement of NetBIOS parameters in the NET.CFG file should be left-justified.  This is an exception to the rule.


NetBIOS Commands SA
Related Topics

NetBIOS


NetBIOS Internet

Specifies whether name-claim packets are transmitted to and from all computers on the internetwork, or to and from computers on the local network only.

Syntax:  netbios internet on | off

Default:  off

Example:

NETBIOS

NETBIOS INTERNET ON

Notes

If you are running NetBIOS applications on a single network with a dedicated NetWare server, this parameter speeds up the delivery of name resolution and datagram packets when its value is set to OFF.

If you are running on more than one network or LAN segment and are communicating through bridges, or if you are running a nondedicated NetWare* server, the value must remain set to ON.

Placement of NetBIOS parameters in the NET.CFG file should be left-justified.  This is an exception to the rule.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NetBIOS Internet SA
Related Topics

NetBIOS Broadcast Count

NetBIOS Broadcast Delay

NetBIOS


NetBIOS Listen Timeout

Specifies the number of ticks NetBIOS waits for a response from a computer over the network before sending a keep-alive packet.

Syntax:  netbios listen timeout number

Default:  108

Range:  1 to 65535

Example:

NETBIOS

NETBIOS LISTEN TIMEOUT 2700

Note

Placement of NetBIOS parameters in the NET.CFG file should be left-justified.  This is an exception to the rule.


NetBIOS Listen Timeout SA
Related Topics

NetBIOS Abort Timeout

NetBIOS Verify Timeout

NetBIOS


NetBIOS Receive Buffers

Specifies the number of IPX* receive buffers that NetBIOS uses.

Syntax:  netbios receive buffers number

Default:  6

Range:  4 to 20

Example:

NETBIOS

NETBIOS RECEIVE BUFFERS 12

Notes

NetBIOS automatically adjusts the value of this parameter if needed.

Placement of NetBIOS parameters in the NET.CFG file should be left-justified.  This is an exception to the rule.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NetBIOS Receive Buffers SA
Related Topics

NetBIOS Send Buffers

Protocol IPX*

NetBIOS


NetBIOS Retry Count

Specifies how many requests NetBIOS transmits for connection or how many failed communications it retransmits.

Syntax:  netbios retry count number

Default:	If "netbios internet on": 20

If "netbios internet off": 10

Range:  4 to 20

Example:

NETBIOS

NETBIOS RETRY COUNT 15

Notes

Increase the value of this parameter if either of the following situations is true:

There are many LAN segments on the network with nodes that need NetBIOS support

Client workstations cannot attach to a gateway

Adjust the value for this parameter with the value for NETBIOS RETRY DELAY to vary the timeout on establishing NetBIOS sessions.

Placement of NetBIOS parameters in the NET.CFG file should be left-justified.  This is an exception to the rule.


NetBIOS Retry Count SA
Related Topics

NetBIOS Retry Delay

NetBIOS Internet

NetBIOS


NetBIOS Retry Delay

Specifies the number of ticks NetBIOS waits between transmissions while establishing a connection or resending a data packet.

Syntax:  netbios retry delay number

Default:  10 (about 1/2 second)

Range:  10 to 65535

Example:

NETBIOS

NETBIOS RETRY DELAY 800

Notes

Increase the value of this number if either of the following is true:

There are many LAN segments on the network with nodes that need NetBIOS support

Client workstations cannot attach to a gateway

Adjust the value of this parameter with the value for NETBIOS RETRY COUNT to vary the timeout on establishing NetBIOS sessions.

Placement of NetBIOS parameters in the NET.CFG file should be left-justified.  This is an exception to the rule.


NetBIOS Retry Delay SA
Related Topics

NetBIOS Retry Count

NetBIOS Internet

NetBIOS


NetBIOS Send Buffers

Specifies the number of IPX* send buffers that NetBIOS uses.

Syntax:  netbios send buffers number

Default:  6

Range:  4 to 20

Example:

NETBIOS

NETBIOS SEND BUFFERS 14

Notes

Placement of NetBIOS parameters in the NET.CFG file should be left-justified.  This is an exception to the rule.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NetBIOS Send Buffers SA
Related Topics

NetBIOS Receive Buffers

Protocol IPX*

NetBIOS


NetBIOS Session

Specifies the number of simultaneous NetBIOS sessions the NetBIOS driver supports.

Syntax:  netbios sessions number

Default:  32

Range:  4 to 250

Example:

NETBIOS

NETBIOS SESSIONS 100

Notes

Placement of NetBIOS parameters in the NET.CFG file should be left-justified. This is an exception to the rule.


NetBIOS Session SA
Related Topics

NetBIOS


NetBIOS Verify Timeout

Specifies the number of ticks between keep-alive packets.

Syntax:  netbios verify timeout number

Default:  54 (approximately 3 seconds)

Range:  4 to 65535

Example:

NETBIOS

NETBIOS VERIFY TIMEOUT 1350

Notes

If no packets are being exchanged on the NetBIOS session by the software that established the session, NetBIOS sends packets at regular intervals to make sure that the session is still valid.

Placement of NetBIOS parameters in the NET.CFG file should be left-justified.  This is an exception to the rule.


NetBIOS Verify Timeout SA
Related Topics

NetBIOS Abort Timeout

NetBIOS Listen Timeout

NetBIOS


NetWare DOS Requester

Overview

The NetWare* DOS Requester* section maintains information about the networking environment and settings for CLIENT32.NLM.

Parameters

Auto Reconnect Level

Cache Writes

Checksum

Close Behind Ticks

Delay Writes

DOS Name

Environment Pad

File Cache Level

First Network Drive

Force First Network Drive

Handle Net Errors

Large Internet Packets

LIP Start Size

Lock Delay

Lock Retries

Long Machine Type

Max Cache Size

Max Cur Dir Length

Message Level

Message Timeout

Minimum Time to Net

Name Context

NCP Max Timeout

NetWare Protocol

Network Printers

Opportunistic Locking

PB Buffers

Pburst Read Window Size

Pburst Write Window Size

Preferred Server

Preferred Tree

Print Header

Print Tail

Read Only Compatibility

Search Dirs First

Search Mode

Set Station Time

Short Machine Type

Show Dots

Signature Level

True Commit

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NetWare DOS TSA

Overview

The NetWare* DOS TSA section contains settings for the Target Service Agent (TSASMS.COM), a program that works with Storage Management Services on a NetWare 4* server to back up the computer's local drives to the network.

Parameters

Disk Buffers

Drives

Password

Stack Size

TSA Server Name

Workstation Name

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NetWare Protocol

Allows you to list the order in which the NetWare* Name Services* are accessed during authentication to the network.

Syntax:  netware protocol = netware_protocol_list

Default:  nds bind

Example:

NETWARE DOS REQUESTER

NETWARE PROTOCOL = BIND NDS

Notes

You can give priority to a specific name service for login, load order, and other functions performed by NetWare Client 32.

Important! If you use this parameter, list it on the first line under the NetWare DOS Requester* section of the NET.CFG file.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NetWare Protocol SA
Related Topics

Protocol IPX*

Protocol SPX*

Protocol TCPIP

Auto Reconnect Level

Netware* DOS Requester* Option Example


Netware Protocol List

Separate each protocol by a comma or a space.


Network Interface (definition)
Network Interface

Each LAN driver that you load is a separate interface to the network and must have a unique IP address. Each LAN driver can also have a unique network mask, a unique router or routers, a unique broadcast address, and a unique method of determining each of these attributes.

If you load more than one LAN driver, you should specify a Network Name for each network interface. Use the Network Name to specify the correct network interface for the IF_CONFIGURATION parameter and, if necessary, for the IP_ADDRESS, IP_NETMASK, IP_ROUTER, and IP_BROADCAST parameters.


Network Name (definition)
Network Name

Specifies the network interface, if multiple interfaces are present. The network name is a word up to 32 characters long and is associated with a logical board through use of the Net Bind parameter.


Network Printers

Sets the number of LPT ports that Client 32* can capture.

Syntax:  network printers = number

Default:  3

Range:  0 to 9

Example:

NETWARE DOS REQUESTER

NETWORK PRINTERS = 7

Notes

This parameter allows you to capture and redirect LPT1 through LPT9.

Increasing the value of this parameter increases memory use.

For Windows** applications, you must also add lines to the [ports] section of the WIN.INI file that specify the port numbers you are using for network printers. For example, if you set the number of network printers to 5, you would add the following lines to the [ports] section:

LPT4:=

LPT5:=

For Windows computers, you can use Universal Naming Convention (UNC) paths to specify network printers. List the UNC path in the [ports] section of the WIN.INI file with an equal sign (=) after the path. For example, to send print jobs to the LASERJET4 queue on server MARKETING, add the following line the the [ports] section of the WIN.INI:

\\marketing\laserjet4=

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Network Printers SA
Related Topics

Print Header

Print Tail

NetWare* DOS Requester*


Obsolete NetWare DOS Requester Parameters

Client 32 does not use the following parameters that are available for VLM and NETX clients:

Auto Large Table

Auto Reconnect

Auto Retry

Average Name Length

Bind Reconnect

Broadcast Retries

Broadcast Send Delay

Broadcast Timeout

Cache Buffer Size

Cache Buffers

Confirm Critical Error Action

Connections

EOJ

Exclude VLM

Load Conn Table Low

Load Low Conn

Load Low IPXNCP

Load Low Redir

Local Printers

Max Tasks

Preferred Workgroup

Print Buffer Size

Responder

Use Defaults

VLM

Workgroup Net


Opportunistic Locking

Detects exclusive access of files for caching.

Syntax:  opportunistic locking = on | off

Default:  off

Example:

NETWARE DOS REQUESTER

OPPORTUNISTIC LOCKING = OFF


Opportunistic Locking SA
Related Topics

File Cache Level

True Commit

Cache Writes

Max Cache Size

NetWare* Dos Requester*


Overview of Desktop SNMP Communities

What are SNMP Communities?

SNMP management consoles gain access rights to SNMP clients by membership in one or more of the three types of communities or groups. Each community has a separate set of rights for inventorying and controlling SNMP clients.

The control community enables SNMP management consoles to change settings on the client.

The monitor community enables SNMP management consoles to query the client for inventory and status information.

The trap community enables SNMP management consoles to read traps (alerts) sent from SNMP clients.

You can define several communities of each community type. For example, you can have control communites named "GROUP_1" and "GROUP_2."

Important: Community names are case sensitive.

Speciying Which Communites can Access a Computer

The "Enable" community parameters in the Desktop SNMP section of NET.CFG specify what access SNMP management consoles have to the SNMP client.

SPECIFIED enables only the community listed in the "community" line to access the computer.

ANY enables all communities to access to the computer.

OFF disables access to the computer.

For example, if Enable Control Community is set to SPECIFIED, and Control Community is set to GROUP_1, then only managment consoles belonging to GROUP_1 can perform SNMP SET commands on the client. In the NET.CFG, this example appears as follows:

Desktop SNMP

ENABLE CONTROL COMMUNITY = SPECIFIED

CONTROL COMMUNITY = GROUP_1


Overview of MIB-II Support

Desktop SNMP supports three Management Information Base (MIB) II groups:

system group

interfaces group

snmp group

These groups provide SNMP management stations with information about your computer and about Desktop SNMP.

TCP/IP groups (except the EGP and transmission groups) are supported if TCPIP.NLM is loaded.


Overview of NET.CFG

What is NET.CFG?

NET.CFG is an ASCII text file that maintains configuration information for Client 32* modules. Several Client 32 modules access information in this file when they load to establish starting values and environment variables.

NET.CFG has several possible sections that roughly reflect the modules that use the section. For example, NIOS.EXE uses the NIOS section of the file. Each section has a set of parameters and values. Parameters are the possible options that can be set for the module. Most values are restricted to a range or set of choices.

How to Use this Help File

You can use this help file to find the parameters and valid values for each section of NET.CFG. Each description of a section contains an overview of the section, a list of all valid parameters for the section, and in some cases, an example of how the section may look in a NET.CFG file.

Each description of a parameter contains information on the syntax, the default value, the valid ranges for the value, and an example of using the parameter in the section it appears.

Important: You should edit the information in NET.CFG only if you are familiar with the effects your edits will have on the computer and on the network.

NET.CFG Syntax

You should use the spacing shown in the examples in NET.CFG. Sections are always flush with the left margin; all parameters (except the parameters in the NETBIOS and Named Pipes sections) are indented. Do not list more than one parameter per line. The order of the parameters in a section is not significant.

If a parameter is not listed in NET.CFG, but the module that uses it is loaded, the module uses the default value, listed in the description of the parameter.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Overview of SNMP

Simple network management protocol (SNMP) is a language that makes it possible to manage different types of computers over a network. When you load the SNMP agent on your computer, management consoles that use SNMP can perform the following types of management tasks on the computer.

Configure software settings

Gather information about the computer

Monitor computer events

You can control the type of access SNMP management consoles have to a computer by specifying community names in the NET.CFG file.


Overview of SNMP SA
Related Topics

Enable Control Community

Control Community

Enable Montior Community

Monitor Community

Enable Trap Community

Trap Community

Desktop SNMP


Overview_SA
Related Topics

Modifying NET.CFG


PB Buffers

Controls the use of the Packet Burst* protocol for file input/output.

Syntax:  pb buffers = number

Default:  Between 1 and 10 (Packet Burst enabled)

Range:  0 to 10

Example:

NETWARE DOS REQUESTER

PB BUFFERS = 0

Notes

To disable Packet Burst, specify 0.

To enable Packet Burst, specify a number from 1 to 10. For compatibility with VLM* client software, Client 32* accepts values from 1-10 to enable Packet Burst. For Client 32, Packet Burst is either enabled or disabled.

Generally, Packet Burst reduces overall network traffic and improves performance.

If you have a network board that has low performance and if your network performance is slow, you might try disabling Packet Burst.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


PB Buffers SA
Related Topics

Pburst Read Window Size

Pburst Write Window Size

NetWare* DOS Requester*


Password

Identifies a password for the computer that an network supervisor must supply before backing up the computer's local drives.

Syntax:  password = name

Default:  None

Example:

NETWARE DOS TSA

PASSWORD = STATION1

Notes

The password is limited to ten characters.

This is an optional parameter for TSA.


Path TCP_CFG

Specifies the location and name of the directory that contains required TCP/IP database files.

Syntax:  path tcp_cfg fully qualified directory name

Default:  none

Example:

PROTOCOL TCPIP

PATH TCP_CFG C:\NET\TCP


Pburst Read Window Size

Specifies the maximum number of packets Packet Burst* uses for read bursts.

Syntax:  pburst read window size = number

Default:  24 (or 255 if Packet Burst detects a low bandwidth network connection)

Range:  3 to 255

Example:

NETWARE DOS REQUESTER

PBURST READ WINDOW SIZE = 36

Notes

Normally, you should not change the value of this parameter.

The window size that Packet Burst uses changes dynamically depending on network conditions. The Pburst Read Window Size sets the maximum value for this window size.

Packet Burst overrides the value for the Pburst Read Window Size parameter if the number of packets specified results in a window size that is greater than 64 KB.

For example, if each packet is 1500 bytes and the Pburst Read Window Size is 50, Packet Burst overrides the Pburst Read Window Size specified and uses a maximum window size of 43 packets. This is because fifty 1500-byte packets are about 73 KB but forty-three 1500-byte packets are just under 64 KB.

For low-bandwidth network connections, increasing this value might improve performance.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Pburst Read Window Size SA
Related Topics

PB Buffers

Pburst Write Window Size

NetWare* DOS Requester*


Pburst Write Window Size

Specifies the maximum number of packets Packet Burst* uses for write bursts.

Syntax:  pburst write window size = number

Default:  10 (or 255 if Packet Burst detects a low bandwidth network connection)

Range:  3 to 255

Example:

NETWARE DOS REQUESTER

PBURST WRITE WINDOW SIZE = 24

Notes

Normally, you should not change the value of this parameter.

The window size that Packet Burst uses changes dynamically depending on network conditions. The Pburst Write Window Size sets the maximum value for this window size.

Packet Burst overrides the value for the Pburst Write Window Size parameter if the number of packets specified results in a window size that is greater than 64 KB.

For example, if each packet is 1500 bytes and the Pburst Write Window Size is 50, Packet Burst overrides the Pburst Write Window Size specified and uses a maximum window size of 43 packets. This is because fifty 1500-byte packets are about 73 KB but forty-three 1500-byte packets are just under 64 KB.

For low-bandwidth network connections, increasing this value may improve performance.

Increasing this value might have a negative effect on server performance.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Pburst Write Window Size SA
Related Topics

PB Buffers

Pburst Read Window Size

NetWare* DOS Requester*


Port

Specifies the starting port and number of ports in the range.

Syntax: [#1 | #2] hex_starting_address [hex_number_of_ports]

Default: #1

Example:

LINK DRIVER NE2000

PORT 300


Pre Allocate VGNMA Memory SA
Related Topics

Protocol IPX*


Pre-Allocate VGNMA Memory

Indicates whether conventional memory should be allocated for VGNMA operation.

Syntax:  pre-allocate vgnma memory on | off

Default:  off

Example:

PROTOCOL IPX

PRE-ALLOCATE VGNMA MEMORY ON

Note

Use ON for 16-bit GNMA Responder applications if they don't work correctly when this parameter is OFF.


Preferred DSS

Allows you to specify a list of up to 5 domain SAP/RIP servers that you consider preferred.

Syntax:  preferred dss server_names

Default:  None

Example:

NWIP

PREFERRED DSS LOCALDSS.ATLANTIC.COM 222.33.0.0

Notes

The addresses and names are used as a guide for locating preferred DSS's.  If none of the DSS's is available, DNS will be queried for its DSS list.

PREFERRED DSS is an optional parameter for NetWare*/IP*.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Preferred DSS SA
Related Topics

Autoretries

Autoretry Secs

Nearest NWIP Server

NSQ Broadcast

NWIP Domain Name

NWIP1_1 Compatibility

NWIP


Preferred DSS Server Names

Specify the DSS server names as hostnames, fully qualified hostnames, IP addresses, or IP address masks.

Example

mydss	- hostname
mydss.atlantic.com	- fully qualified hostname
222.33.44.55	- IP address for mydss
222.33.0.0	- IP address mask for mydss


Preferred Server

Specifies the name of the NetWare* server the client attaches to when CLIENT32.NLM loads.

Syntax:  preferred server = server_name

Default:  None

Example:

NETWARE DOS REQUESTER

PREFERRED SERVER = MKT_9

Notes

If the server specified has a connection available, Client 32* attaches to that server. Otherwise, it responds to the nearest broadcasting server.

If both PREFERRED TREE (for NetWare Directory Services*) and PREFERRED SERVER (for bindery services) are specified, then the first name service protocol to successfully build an attachment is used.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Preferred Server SA
Related Topics

Preferred Tree

Show Dots

Search Dirs First

Search Mode

Name Context

NetWare* DOS Requester*


Preferred Tree

Specifies the Directory tree the client connects to when CLIENT32.NLM loads.

Syntax:  preferred tree = tree_name

Default:  None

Example:

NETWARE DOS REQUESTER

PREFERRED TREE = MARKETING

Notes

If the specified tree has a server with a free connection, Client 32* attaches to that tree.  Otherwise, it attaches to the nearest tree that contains a User object for the user authenticating to the network.

If both PREFERRED TREE (for NetWare Directory Services*) and PREFERRED SERVER (for bindery services) are specified, then the first protocol to successfully build an attachment is used.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Preferred Tree SA
Related Topics

Preferred Server

Show Dots

Search Dirs First

Search Mode

Name Context

NetWare* DOS Requester*


Primary

Specifies the primary board.

Syntax:  primary  FrameType    MlidShortName    AdapterInstance

Default:  IPX selects the primary board

Example:

PROTOCOL IPX

PRIMARY ETHERNET_802.2

Notes

You usually need to specify only the FrameType of the logical board that you want IPX* to use as the primary board. The MlidShortName and AdapterInstance default to all, so IPX chooses the first logical board with the specified frame type to be the primary board.

This is an optional setting for Protocol IPX.

Specify no more than one PRIMARY parameter for the Protocol IPX option.

When using NetWare*/IP*, the MlidShortName is NWIP no matter what the actual LAN driver is.

If you specify both the PRIMARY and NET BIND parameters, you don't need to list the primary board as a NET BIND parameter. IPX binds to the primary board if you specify one regardless of your NET BIND settings. If the primary board is not in the NET BIND settings, IPX does not bind to any other logical boards that match the PRIMARY specification but are not specified in the NET BIND settings.

For example, if you specify the following in your NET.CFG file:

PROTOCOL IPX
NET BIND ETHERNET_II
PRIMARY ETHERNET_802.2

IPX binds to all logical boards that are presented to it with a frame type of Ethernet_II, and IPX binds to the first logical board that is presented to it with a frame type of Ethernet_802.2 and uses this logical board as its primary board.  IPX does not bind to any other logical boards with a frame type of Ethernet_802.2.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Primary Board

The primary board is the logical board used by applications that can use only one attachment to the network.  16-bit IPX* and SPX* applications operate only over this primary board.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Primary FrameType

Specify the frame type of the logical board that you want IPX* to use as the primary board, or specify an asterisk ( * ) to have IPX automatically detect the primary board.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Primary MlidShortName

Specify the MLID* short name of the logical board that you want IPX* to use as the primary board based on the FrameType and AdapterInstance you specified.

Only specify an MLID short name if you have more than one network board.

Notes

You can leave this blank or specify an asterisk ( * ) if you it doesn't matter what the MLID short name is.

If this is not specified, IPX selects the first logical board that presents the specified frame type to be the primary board.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Primary SA
Related Topics

Net Bind

Protocol IPX*

List of Frame Types


Print Header

Sets the size of the buffer (in bytes) that holds the information used to initialize a printer for each print job.

Syntax:  print header = number

Default:  64

Range:  0 to 1024

Example:

NETWARE DOS REQUESTER

PRINTER HEADER = 960

Note

If you send print jobs with many instructions in the header (such as font selections, page length, or orientation) and the printer is not delivering all the requested attributes, increase the print header size.


Print Header SA
Related Topics

Print Tail

Network Printers

NetWare* DOS Requester*


Print Tail

Sets the size of the buffer (in bytes) that holds the information used to reset the printer after a print job.

Syntax:  print tail = number

Default:  16

Range:  0 to 1024

Example:

NETWARE DOS REQUESTER

PRINT TAIL = 64

Note

If your printer is not clearing out the buffer completely or resetting after each print job, increase the print tail size.


Print Tail SA
Related Topics

Print Header

Network Printers

NetWare* DOS Requester*


Printer

Describes a printer connected to the computer. An SNMP management console can gather this information for the Host Resources MIB.

Syntax:  printer = "printer_information "

Default:  None

Example:

Host MIB

PRINTER = "HP LaserJet 3P"

Notes

This parameter is optional.

The SNMP agent cannot detect local printers. Using this parameter is the only way to include information about a local printer in Host Resources MIB.


Printer SA
Related Topics

Modem

SWDirectorySearchDepth

SWDirectorySearch

Tapedrive

Host MIB


Protocol

Assigns a Protocol ID to IPX* for use over the specified frame type. You can have more than one instance of this setting for different frame types.

Syntax: protocol name	protocol_id	frame_type

Default: none

Example:

Protocol IPX

Protocol IPX 904a Ethernet_Snap

Note

Use this setting when a network is set up to use a Protocol ID for IPX and a given frame type that is different from the default. Also use this setting when using a frame type not recognized by IPX.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Protocol IPX

Overview

The Protocol IPX* section sets options for the IPX and SPX* protocols.

Parameters

INT64

INT7a

IPX Diagnostics

IPX Retry Count

Net Bind

Pre-Allocate VGNMA Memory

Primary

Protocol

SPX Abort Timeout

SPX Connections

SPX Listen Timeout

SPX Verify Timeout

SPX Watchdogs

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Protocol TCPIP

Overview

The parameters in the Protocol TCPIP section define the environment and set options for Novell's TCP/IP protocol stack.

Parameters

ARP_AGING_TIMEOUT

ARP_CACHE_MAX

ARP_TIMEOUT

Bind

IF_CONFIGURATION

IP_ADDRESS

IP_BROADCAST

IP_NETMASK

IP_REASSEMBLY_TIMEOUT

IP_RIP

IP_ROUTER

IP_RTSW_TRIGGER

IP_TTL

Net Bind

Path TCP_CFG

Route

TCP_CONNECT_RETRY

TCP_KEEPALIVE

TCP_KEEPALIVE_INTERVAL

TCP_RCV_WINDOWSZ

TCP_RELEASE_WAIT_TIME

TCP_RXMIT_LIMIT

TCP_RXMIT_MAXTIME

TCP_RXMIT_MINTIME

UDP_CHECKSUM


Protocol TCPIP: Bind Board Number
Bind Board Number

Specify the logical board number of the driver to bind to. The logical board number is a positive integer assigned to each frame type the driver supports.


Protocol TCPIP: Bind Driver
Bind Driver

Specify the name of the ODI* LAN driver for this board.


Protocol TCPIP: Bind Frame Type
Frame Type

Specify the frame type of the driver to bind to. The following frame types support TCP/IP:

ETHERNET_II, ETHERNET_SNAP, TOKEN-RING_SNAP, NOVELL_RX-NET, FDDI_SNAP, IBM_PCN2_SNAP, SLIP, PPP


Protocol_id

This value can be up to six bytes long, or twelve digits. For example, the commonly used protocol Id for the IPX* protocol stack on the ETHERNET_II frame type is 8137.


RTF_TOPIC_825132264


Read Cache Miss

In read-ahead mode, the subsequent read is for a location outside of the 4 KB that have been read into memory.


Read Only Compatibility

Determines whether a file marked Read Only can be opened with a read/write access call.

Syntax:  read only compatibility = on | off

Default:  off

Example:

NETWARE DOS REQUESTER

READ ONLY COMPATIBILITY = ON

Note

If you are using any application that uses the "netx=off" command, such as Microsoft** Office, ensure that this parameter value is set to ON.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Route

Defines a static route to a network or a host.

Syntax:  route net  | host    ip_address    router_address     [mask ]

Default:  None

Example:

PROTOCOL TCPIP

ROUTE NET 222.44.0.0 222.44.4.254 255.255.252.0

Notes

The example defines a static route to network 222.44.0.0 via router 222.44.4.254 with a subnet mask of 255.255.252.0.

This parameter is optional because TCP/IP uses default route and can find the route dynamically.

You can specify as many route entries as you need.


Route Values

Specify NET if the destination is a network or HOST if the destination is a host.

IP_ADDRESS is the IP address of the destination.

ROUTER_ADDRESS is the IP address of the router to use.

MASK is an optional network mask, which is only meaningful if the destination is a network.

Note

The IP addresses and network mask are in dotted decimal format (123.45.67.89).


SNMP Example

Desktop SNMP

enable monitor community = any

enable control community = specified

control community = admin

enable trap community = specified

trap community = admin

sysName = Suzanne Morley x893

sysLocation = Building 2

sysContact = suzanne@acompany.com

snmpEnableAuthenTrap = on

SNMP Transport Provider IPX

trap target = ab123456:0123456789ab

trap target = cd654321:ba9876543210

SNMP Transport Provider UDP

trap target = 99.88.77.66

trap target = 88.11.22.33


SNMP Example SA
Related Topics

Desktop SNMP

SNMP Transport Provider


SNMP Transport Provider

Overview

The SNMP Transport Provider sections specify the trap target addresses for SNMP desktops. There are two possible sections:

SNMP Transport Provider IPX

SNMP Transport Provider UDP

Parameter

Trap Target

Example

SNMP Transport Provider Section Example


SNMP Transport Provider SA
Related Topics

Desktop SNMP Section


SPX Abort Timeout

Specifies the number of ticks SPX* waits without receiving a response before terminating a connection.

Syntax:  spx abort timeout number

Default:  540 ticks (about 30 seconds)

Range:  1 to 65535

Example:

PROTOCOL IPX

SPX ABORT TIMEOUT 300

Note

You should not adjust this parameter unless SPX is timing out too soon.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


SPX Abort Timeout SA
Related Topics

Protocol IPX*


SPX Connections

Specifies the number of connections value that is given to applications that query this information.

Syntax:  spx connections number

Default:  15

Range:  1 to 255

Example:

PROTOCOL IPX

SPX CONNECTIONS 100

Notes

SPX* does not use this number to limit the number of SPX connections.

The number of SPX connections is limited only by the amount of available memory.

This parameter is provided for compatibility with applications that query this information and make decisions based on it.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


SPX Connections SA
Related Topics

Protocol IPX*


SPX Listen Timeout

Specifies the number of ticks SPX* waits to receive a return packet before requesting a confirmation packet.

Syntax:  spx listen timeout number

Default:  108 ticks (about 6 seconds)

Range:  1 to 65535

Example:

PROTOCOL IPX

SPX LISTEN TIMEOUT 200

Note

You should not adjust this parameter unless SPX is timing out too soon.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


SPX Listen Timeout SA
Related Topics

Protocol IPX*


SPX Verify Timeout

Specifies the number of ticks SPX* waits before sending a packet to keep the connection active.

Syntax:  spx verify timeout number

Default:  54 ticks (about 3 seconds)

Range:  1 to 65535

Example:

PROTOCOL IPX

SPX VERIFY TIMEOUT 108

Notes

If no packets are being exchanged on the SPX connection by the software that established the session, SPX sends packets at regular intervals to verify its presence in the connection.

You should adjust this parameter only if SPX is timing out too soon.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


SPX Verify Timeout SA
Related Topics

Protocol IPX*


SPX Watchdogs

Specifies whether SPX* responds to requests for connection watchdogging.

Syntax:  spx watchdogs on | off

Default:  On

Example:

PROTOCOL IPX

SPX WATCHDOGS OFF

Notes

If the value of this parameter is OFF, SPX does not watchdog connections.

This parameter is for future use.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


SPX Watchdogs SA
Related Topics

Protocol SPX*

Protocol IPX*


SWDirectorySearch

Lists specific directories the SNMP agent scans for software inventory.

Syntax:  swdirectorysearch = path [*]

Default:  None

Example:

Host MIB

SWDIRECTORYSEARCH = c:\novell\

SWDIRECTORYSEARCH = c:\apps\*

Notes

To search a directory and all its subdirectories, specify an asterisk ( * ) after the directory's path.

The directories specified are searched in addition to the directories described by the SWDirectorySearchDepth parameter.

This parameter can be entered in the NET.CFG file as many times as necessary.

This parameter is optional.


SWDirectorySearch SA
Related Topics

Modem

Printer

SWDirectorySearchDepth

Tapedrive

Host MIB


SWDirectorySearchDepth

Specifies the number of subdirectories the SNMP agent searches when performing a software inventory scan.

Syntax:  swDirectorySearchDepth = number

Default:  1

Range:  0 to 4,294,967,295

Example:

Host MIB

SWDIRECTORYSEARCHDEPTH = 3

Notes

Zero (0) means that no search is done unless SWDirectorySearch is specified.

The first level is the root, so by default only program files in the root are found.

All local hard disks are searched.  No diskette drives, CD-ROM drives, or network drives are searched.

If the computer has a large local disk (such as a 1-GB hard disk), you should use this parameter and SWDirectorySearch to limit the scope of the software scan.


SWDirectorySearchDepth SA
Related Topics

Modem

Printer

SWDirectorySearch

Tapedrive

Host MIB


Sample Host MIB Section

Host MIB

PRINTER = "HP LaserJet 3P"

MODEM = "Hayes 14400 BP Modem"

TAPEDRIVE = "Quantum Tapedrive"


Sample NetWare DOS Requester Section

NETWARE DOS REQUESTER

SHOW DOTS = ON

NAME CONTEXT = "PACIFIC.OCEANS"

PREFERRED SERVER = BAY

FIRST NETWORK DRIVE = F

NETWORK PRINTERS = 6

NETWARE PROTOCOL = NDS BIND


Sample Protocol TCPIP Section

PROTOCOL TCPIP

PATH SCRIPT 	C:\NET\SCRIPT

PATH PROFILE	C:\NET\PROFILE

PATH LWP_CFG	C:\NET\HSTACC

PATH TCP_CFG	C:\NOVELL\CLIENT32\TCP

IP_ROUTER	222.33.44.50

IP_NETMASK	255.255.255.0

IP_ADDRESS	222.33.44.55

Notes

The PATH SCRIPT, PATH PROFILE, and PATH LWP_CFG parameters are used by the LAN WorkPlace product.

The IP addresses shown are for illustration only.


Search Dirs First

Specifies whether directories or files are displayed first when using the DIR command.

Syntax:  search dirs first = on | off

Default:  off

Example:

NETWARE DOS REQUESTER

SEARCH DIRS FIRST = ON

Notes

OFF means to display files first, and then directories.

ON means to display directories first, and then files.


Search Dirs First SA
Related Topics

Show Dots

Search Mode

Preferred Server

Preferred Tree

NetWare* DOS Requester*


Search Mode

Specifies the way Client 32* seaches for a file that is not in the current directory or in the computer's path.

Syntax:  search mode = number

Default:  1

Range:  0 to 7

Example:

NETWARE DOS REQUESTER

SEARCH MODE = 2

Notes

The current drive does not have to be a network drive for this parameter to work.

If you want to set a search mode for one particular .EXE or .COM file, use the "Search Mode" option in FLAG (see "FLAG" in NetWare 4.1 Utilities Reference  or see "FLAG" in NetWare 3.12 Utilities Reference ).

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Search Mode Number

Valid search mode values are as follows:

0 = No search instructions. Default value for executable files.

1 =	If a directory path is specifiedby the program , the executable file searches only that path.
If a path is not specified, the executable file searches the default directory and network search drives.

2 =	The executable file searches only the default directory or the path specified.

3= 	If a directory path is specified in the executable file, the executable file searches only that path.
If a path is not specified and the executable file opens data files flagged Read Only, the executable file searches the default directory and search drives

4 =	Reserved.

5 =	The executable file searches the default directory and NetWare search drives even if the path is specified. If a search mode is set, the shell allows searches for any files. Otherwise, the executable file searches only for .EXE, .COM, and .BAT files

6 =	Reserved.

7 =	If the executable file opens data files flagged Read Only, the executable file searches the default directory and search drives whether or not the path is specified in the executable file.


Search Mode SA
Related Topics

Show Dots

Search Dirs First

Preferred Server

Preferred Tree

NetWare* DOS Requester*


See Also IP New
Related Topics

NIOS

Host MIB

NetWare* DOS Requester*

Protocol IPX*

Protocol SPX*

Other Sections

What's New?


See Also IP Sample
Related Topics

NetWare* DOS Requester* Section

Host MIB Section

Desktop SNMP Section

Examples


See Also IPX New
Related Topics

NIOS

Host MIB

NetWare* DOS Requester*

Protocol SPX*

Protocol TCPIP

Other Sections

What's New?


See Also NIOS BIOS
Related Topics

Alert Beep

Ignore Below 16Meg Memory Allocate Flag

Log File

Log File Size

Mem Pool Size

NIOS Section


See Also NIOS Below 16
Related Topics

Alert Beep

Log File

Log File Size

Mem Pool Size

Use Video BIOS

NIOS Section


See Also NIOS New
Related Topics

Host MIB

NetWare* DOS Requester*

Protocol IPX*

Protocol SPX*

Protocol TCPIP

Other Sections

What's New?


See Also NIOS Pool
Related Topics

Alert Beep

Ignore Below 16Meg Memory Allocate Flag

Log File

Log File Size

Use Video BIOS

NIOS Section


See Also NWIP Compat
Related Topics

Autoretries

Autoretry Secs

Nearest NWIP Server

NSQ Broadcast

NWIP Domain Name

Preferred DSS

NWIP


See Also NWIP Domain
Related Topics

Autoretries

Autoretry Secs

Nearest NWIP Server

NSQ Broadcast

NWIP1_1 Compatibility

Preferred DSS

NWIP


See Also Other New
Related Topics

NIOS

Host MIB

NetWare* DOS Requester*

Protocol IPX*

Protocol SPX*

Protocol TCPIP

What's New?


See Also Requester New
Related Topics

NIOS

Host MIB

Protocol IPX*

Protocol SPX*

Protocol TCPIP

Other Sections

What's New?


See Also Requester Sample
Related Topics

Protocol TCPIP Section

Host MIB Section

Desktop SNMP Section


See Also Resources Sample
Related Topics

NetWare* DOS Requester* Section

Protocol TCPIP Section

Desktop SNMP Section

Examples


See Also SNMP Sample
Related Topics

NetWare* DOS Requester* Section

Protocol TCPIP Section

Host MIB Section

Examples


See Also SPX New
Related Topics

NIOS

Host MIB

NetWare* DOS Requester*

Protocol IPX*

Protocol TCPIP

Other Sections

What's New?


See Also TSA Drives
Related Topics

Disk Buffers

Password

Stack Size

TSA Server Name

Workstation Name

NetWare* DOS TSA


See Also TSA Password
Related Topics

Disk Buffers

Drives

Stack Size

TSA Server Name

Workstation Name

NetWare* DOS TSA


See Also TSA WS Name
Related Topics

Disk Buffers

Drives

Password

Stack Size

TSA Server Name

NetWare* DOS TSA


Set Station Time

Synchronizes the computer's date and time with that of the NetWare* server that the computer first attaches to.

Syntax:  set station time = on | off

Default:  on

Example:

NETWARE DOS REQUESTER

SET STATION TIME = OFF

Note

Setting this parameter to OFF disables the synchronization feature.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Short Machine Type

Sets the Short Machine Type (%SMACHINE) variable for your computer.

Syntax:  short machine type = "name"

Default:  IBM

Example:

NETWARE DOS REQUESTER

SHORT MACHINE TYPE = "AST"

Notes

This parameter is similar to LONG MACHINE TYPE, except that it is used specifically with overlay files.

Use this parameter when the %SMACHINE variable is accessed.

Examples of files using this parameter and value include the IBM$RUN.OVL file for the windowing utilities and the CMPQ$RUN.OVL file that uses a default black-and-white color palette for NetWare menus.

You can specify a 1-to-4 character string for the name  variable.


Short Machine Type SA
Related Topics

DOS Name

Long Machine Type

NetWare* DOS Requester*


Show Dots

Specifies whether Client 32* displays parent dots in list boxes for file and directory navigation.

Syntax:  show dots = on | off

Default:  on

Example:

NETWARE DOS REQUESTER

SHOW DOTS = OFF

Notes

This parameter is supported only by NetWare* 2.11 and later.

The NetWare server doesn't have directory entries for "." and ".." as DOS does. To see "." and ".." in directory listings, set the value for this parameter to ON.

You should set SHOW DOTS = ON when using Windows** 3.1x  or DOS graphical user interface (GUI) with NetWare.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Show Dots SA
Related Topics

Max Cur Dir Length

NetWare* DOS Requster*


Signature Level

Specifies the amount of NCP* packet signing required for the client.

Syntax:  signature level = number

Default:  1

Range:  0 to 3

0 = Disabled
1 = Enabled but not preferred
2 = Preferred
3 = Required

Example:

NETWARE DOS REQUESTER

SIGNATURE LEVEL = 3

Notes

Setting the value of this parameter to 2 or 3 increases security but decreases performance.

Enhanced security includes the use of a message digest algorithm and a per connection/per request session state.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Stack Size

Specifies the stack size (in bytes) for TSA. Use this parameter only if the computer's RAM is limited or you receive a "Stack overflow" message.

Syntax:  stack size = number

Default:  2048

Range:  512 to 4096 (bytes)

Example:

NETWARE DOS TSA

STACK SIZE = 1024

Note

This parameter indicates the bytes allocated for internal variables for the DOS TSA software. The default value should rarely need adjustment.


Stack Size SA
Related Topics

Disk Buffers

Drives

Password

Stack Size

TSA Server Name

Workstation Name

NetWare* DOS TSA


TCP_CONNECT_RETRY

Specifies the number of times TCP/IP retries sending the connection request packet to establish a TCP connection.

Syntax:  tcp_connect_retry number

Default:  5

Range:  1 to 256

Example:

PROTOCOL TCPIP

TCP_CONNECT_RETRY 10


TCP_KEEPALIVE

Specifies whether Client 32* sends TCP "keepalive" packets.

Syntax:  tcp_keepalive yes | no

Default:  yes

Example:

PROTOCOL TCPIP

TCP_KEEPALIVE NO

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


TCP_KEEPALIVE SA
Related Topics

TCP_KEEPALIVE_INTERVAL

Protocol TCPIP


TCP_KEEPALIVE Values

Specify YES if you want TCP/IP to use "keepalive" packets.

Specify NO if you don't want TCP/IP to use "keepalive packets.


TCP_KEEPALIVE_INTERVAL

Specifies the number of seconds between "keepalive" packet transmissions.

Syntax:  tcp_keepalive_interval number

Default: 7200 seconds

Range:  1 to 14400

Example:

PROTOCOL TCPIP

TCP_KEEPALIVE_INTERVAL 9999


TCP_KEEPALIVE_INTERVAL SA
Related Topics

TCP KEEPALIVE

Protocol TCPIP


TCP_RCV_WINDOWSZ

Specifies the maximum TCP receive window size in bytes. The window is the number of data bytes that the computer can receive.

Syntax:  tcp_rcv_windowsz number

Default:  16384 bytes

Range:  1 to 65535

Example:

PROTOCOL TCPIP

TCP_RCV_WINDOWSZ 32768


TCP_RELEASE_WAIT_TIME

Specifies the maximum time Client 32* waits for release of a TCP socket. This ensures the TCP stack on the remote computer received the acknowledgment of its connection termination request.

Syntax:  tcp_release_wait_time number

Default:  120 seconds

Range:  1 to 600

Example:

PROTOCOL TCPIP

TCP_RELEASE_WAIT_TIME 150

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


TCP_RXMIT_LIMIT

Specifies the maximum number of times TCP/IP retransmits the same TCP packet before quitting the connection.

Syntax:  tcp_rxmit_limit number

Default:  12

Range:  1 to 24

Example:

PROTOCOL TCPIP

TCP_RXMIT_LIMIT 8


TCP_RXMIT_LIMIT SA
Related Topics

TCP_RXMIT_MAXTIME

TCP_RXMIT_MINTIME

Protocol TCPIP


TCP_RXMIT_MAXTIME

Specifies the maximum TCP packet retransmission interval, in milliseconds.

Syntax:  tcp_rxmit_maxtime number

Default:  120000 milliseconds

Range:  (TCP_RXMIT_MINTIME+1) to 240000

Example:

PROTOCOL TCPIP

TCP_RXMIT_MAXTIME 240000

Note

The smallest value you can specify for the TCP_RXMIT_MAXTIME parameter is one greater than the value of the TCP_RXMIT_MINTIME parameter.


TCP_RXMIT_MAXTIME SA
Related Topics

TCP_RXMIT_LIMIT

TCP_RXMIT_MINTIME


TCP_RXMIT_MINTIME

Specifies the minimum TCP packet retransmission interval, in milliseconds.

Syntax:  tcp_rxmit_mintime number

Default:  110 milliseconds

Range:  2 to (TCP_RXMIT_MAXTIME-1)

Example:

PROTOCOL TCPIP

TCP_RXMIT_MINTIME 200

Note

The largest value you can specify for the TCP_RXMIT_MINTIME parameter is one less than the value of the TCP_RXMIT_MAXTIME parameter.


TCP_RXMIT_MINTIME SA
Related Topics

TCP_RXMIT_LIMIT

TCP_RXMIT_MAXTIME

Protocol TCPIP


TSA Server Name

Specifies the name of the server where TSASMS.COM registers with WSMAN.NLM. WSMAN.NLM is the server software that manages workstation registration for SMS products.

Syntax:  tsa server name = server_name

Default:  none

Example:

NETWARE DOS TSA

TSA SERVER NAME = SERVER3


Tapedrive

Specifies information about a local tape drive for the Host Resources MIB.

Syntax:  tapedrive = "tapedrive_information "

Default:  None

Example:

Host MIB

TAPEDRIVE = "Quantum Tapedrive"

Note

This parameter is optional.


Tapedrive SA
Related Topics

Modem

Printer

SWDirectorySearchDepth

SWDirectorySearch

Tapedrive

Host MIB

Host MIB Section Example


Tick (definition)
Tick

There are approximately 18.21 ticks per second on IBM** PCs and compatibles.

For example:

3 seconds is about 54 ticks

30 seconds is about 545 ticks

1 minute is about 1090 ticks


Time to Live

The time to live (TTL) of an IP packet is the maximum number of routers that an IP packet is allowed to pass through on its way to its destination.


Trademarks

Copyright © 1993-1994, 1996, Novell, Inc.  All rights reserved.  Patent Pending.

Novell Trademarks

Client 32 is a trademark of Novell, Inc.

DR DOS is a registered trademark of Novell, Inc. in the United States and other countries.

Internetwork Packet Exchange and IPX are trademarks of Novell, Inc.

IPX/SPX is a trademark of Novell, Inc.

LAN Workplace is a registered trademark of Novell, Inc. in the United States and other countries.

Link Support Layer and LSL are trademarks of Novell, Inc.

Multiple Link Interface Drive and MLID are trademarks of Novell, Inc.

NE2000 is a trademark of Novell, Inc.

NetWare is a registered trademark of Novell, Inc. in the United States and other countries.

NetWare 3 is a trademark of Novell, Inc.

NetWare 4 is a trademark of Novell, Inc.

NetWare Client is a trademark of Novell, Inc.

NetWare Core Protocol and NCP are trademarks of Novell, Inc.

NetWare Directory Services and NDS are trademarks of Novell, Inc.

NetWare DOS Requester is a trademark of Novell, Inc.

NetWare/IP is a trademark of Novell, Inc.

NetWare Loadable Module and NLM are trademarks of Novell, Inc.

NetWare Mobile is a trademark of Novell, Inc.

NetWare Name Service is a registered trademark of Novell, Inc. in the United States and other countries.

NetWire is a registered service mark of Novell, Inc. in the United States and other countries.

Network Support Encyclopedia Professional Volume and NSEPro are trademarks of Novell, Inc.

Novell is a registered trademark of Novell, Inc. in the United States and other countries.

Novell Application Notes is trademark of Novell, Inc.

Novell Authorized Reseller is a service mark of Novell, Inc.

Novell DOS is trademark of Novell, Inc.

Novell Gold Partner is a service mark of Novell, Inc.

Novell Labs is a trademark of Novell, Inc.

Novell Platinum Partner is a service mark of Novell, Inc.

Novell Technical Services is a service mark of Novell, Inc.

Open Data-Link Interface and ODI are trademarks of Novell, Inc.

Packet Burst is a trademark of Novell, Inc.

PartnerNet is a service mark of Novell, Inc.

Personal NetWare is a trademark of Novell, Inc.

Sequenced Packet Exchange and SPX are trademarks of Novell, Inc.

Storage Management Services and SMS are trademarks of Novell, Inc.

The Novell Network Symbol is a trademark of Novell, Inc.

Virtual Loadable Module and VLM are trademarks of Novell, Inc.

Third-Party Trademarks

3Com is a registered trademark of 3Com Corporation.

Apple is a registered trademark of Apple Computer, Inc.

AppleTalk is a registered trademark of Apple Computer, Inc.

CompuServe is a registered trademark of CompuServe, Inc.

G/Net is a registered trademark of Gateway Communications, Inc.

IBM is a registered trademark of registered trademarks of International Business Machines Corporation

LocalTalk is a trademark of Apple Computer, Inc.

Macintosh is a registered trademark of Apple Computer, Inc.

Microsoft is a registered trademark of Microsoft Corporation.

MS-DOS is a registered trademark of Microsoft Corporation.

Network Driver Interface Specification and NDIS are trademarks of PC-Plus Communications LP.

ProNET is a registered trademark of Proteon, Inc.

Proteon is a registered trademark of Proteon, Inc.

Windows is a registered trademark of Microsoft Corporation.

XNS is a trademark of Xerox Corporation.


Trap Community

Specifies the community that receives the computer's alert messages when the Enable Trap Community parameter is set to "specified."

Syntax:  trap community = name

Default:  public

Example:

Desktop SNMP

enable trap community = specified

trap community = AgentTrap


Trap Community SA
Related Topics

Communities

Enable Trap Community

Monitor Community

Control Community

Desktop SNMP


Trap Target

Trap targets define the addresses that the SNMP manager sends SNMP traps to.

Syntax:  trap target = ipxaddress  |ipaddress

Default:  none

Examples:

SNMP Transport Provider IPX

trap target = ab123456:0123456789ab
trap target = cd654321:ba9876543210

SNMP Transport Provider UDP

trap target = 99.8.7.6
trap target = 88.1.2.3

Notes

By default, no trap targets are defined and no traps are sent.

You must configure at least one trap target in order for Desktop SNMP to send traps.

The Desktop SNMP transport providers, SNMPIPX.NLM and SNMPUDP.NLM, read the NET.CFG file to discover trap targets on NetWare networks.

To receive traps sent by Desktop SNMP, make sure your management station's network address is listed as a trap target in the SNMP Transport Provider IPX (for IPX* transport) or the SNMP Transport Provider UDP (for UDP/IP transport) section of the NET.CFG file.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Trap Target SA
Related Topics

SNMP Transport Provider Section Example

Desktop SNMP


Tree Name

Do not put quotes around the name of the Directory tree.


True Commit

Stores file data in the computer's memory until Client 32* receives confirmation from the server that the data has been written to the server's hard disk.

Syntax:  true commit = on | off

Default:  off

Example:

NETWARE DOS REQUESTER

TRUE COMMIT = ON

Notes

To avoid congestion on the server, NetWare servers save file data in memory and write the data to a hard disk as soon as possible. Setting the value of True Commit to ON requires the server to write the file to the file system hard disk before releasing the file. This can decrease the speed at which Client 32 saves files to the network.

Set the value of this parameter to ON to increase data integrity.

Set the value of this parameter to OFF to increase the speed of Client 32.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


True Commit SA
Related Topics

Max Cache Size

File Cache Level

Opportunistic Locking


UDP_CHECKSUM

Specifies whether to use UDP checksums.

Syntax:  udp_checksum yes | no

Default:  yes (use checksums)

Example:

PROTOCOL TCPIP

UDP_CHECKSUM NO


UDP_CHECKSUM Values

Specify YES if you want the User Datagram Protocol (UDP) to use checksums.

Specify NO if you don't want UDP to use checksums.


Use Video BIOS

Specifies whether NIOS.EXE uses BIOS or direct video memory access.

Syntax:  use video bios on | off

Default:  off

Example:

NIOS

USE VIDEO BIOS ON

Notes

This parameter applies to messages that are displayed in character mode. If character messages do not function well, try setting this parameter to ON (to use BIOS calls). Otherwise, this parameter should be OFF.

Direct video memory access is faster than BIOS.


What's New: Desktop SNMP

Changed Parameters

Enable Control Community

Enable Monitor Community

Enable Trap Community

Obsolete Parameter

Asychronous Timeout


What's New: Link Support

New Parameter

Max Buffer Size


What's New: Link Support SA
Related Topics

NIOS

Host MIB

NetWare* DOS Requester*

Protocol IPX*

Protocol SPX*

Protocol TCPIP

What's New?


What's New: NetBIOS

Obsolete Parameter

NPatch


What's New: NetBIOS SA
Related Topics

NIOS

Host MIB

NetWare* DOS Requester*

Protocol IPX*

Protocol SPX*

Protocol TCPIP

What's New?


What's New: NetWare DOS Requester

New Parameters

Auto Reconnect Level

Close Behind Ticks

Delay Writes

Environment Pad

File Cache Level

Max Cache Size

Max Cur Dir Length

NCP* Max Timeout

Opportunistic Locking

Search Dirs First

Changed Parameters

NetWare* Protocol

PB Buffers

PBurst Read Window Size

PBurst Write Window Size

Obsolete Parameters


What's New: Protocol IPX

New Parameters

IPX* Diagnostics

Net Bind

Pre-Allocate VGNMA Memory

Primary

SPX* Watchdogs

Moved from Protocol SPX Section

SPX Abort Timeout

SPX Connections

SPX Listen Timeout

SPX Verify Timeout

Changed Parameters

IPX Retry Count

SPX Connections

Obsolete Parameters

Bind (replaced by Net Bind)

IPATCH

IPX Packet Size Limit

IPX Sockets


What's New: Protocol SPX

Overview

Client 32* does not use the Protocol SPX section. List SPX* parameters in the Protocol IPX section.

Parameters

SPX Abort Timeout

SPX Connections

SPX Listen Timeout

SPX Verify Timeout

Obsolete Parameters

Minimum SPX Retries

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


What's New: Protocol TCPIP

New Parameters

ARP_AGING_TIMEOUT

ARP_CACHE_MAX

ARP_TIMEOUT

IF_CONFIGURATION

IP_BROADCAST

IP_REASSEMBLY_TIMEOUT

IP_RIP

IP_RTSW_TRIGGER

IP_TTL

Route

TCP_CONNECT_RETRY

TCP_KEEPALIVE

TCP_KEEPALIVE_INTERVAL

TCP_RCV_WINDOWSZ

TCP_RELEASE_WAIT_TIME

TCP_RXMIT_LIMIT

TCP_RXMIT_MAXTIME

TCP_RXMIT_MINTIME

UDP_CHECKSUM

Obsolete Parameters

RAW_SOCKETS

NO_BOOTP

TCP_SOCKETS

UDP_SOCKETS


What's New?

Overview

Two new sections are available in the NET.CFG file for Client 32* that were not available for VLM* software. These sections set options for the NetWare Input/Output Subsystem (NIOS.EXE) for Host Resources MIB (SNMP.NLM). See the list of new NET.CFG sections for more information.

In some cases, Client 32 uses a slightly different syntax or range from similar NET.CFG parameters that the VLM software used. Also, Client 32 does not use some parameters that are available to VLM clients. See the list of changed NET.CFG sections for more information.

New NET.CFG Sections

NIOS

Host MIB

Changed NET.CFG Sections

Desktop SNMP

Link Support

NetBIOS

NetWare* DOS Requester*

Protocol IPX*

Protocol SPX*

Protocol TCPIP

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Workstation Name

Specifies the computer's name for Storage Management Services* (SMS*).

Syntax:  workstation name = unique_name

Default:  None

Example:

NETWARE DOS TSA

WORKSTATION NAME = BOB_486

Notes

The name must be from 1 to 10 characters long.

This name identifies the computer to any other backup product that uses TSA.

The workstation name is required whenever TSASMS.COM registers with an SMS server for the first time.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


snmpEnableAuthenTrap

Instructs the Desktop SNMP agent to send a trap message if someone without proper access tries to use SNMP to get or change information that Desktop SNMP manages.

Syntax:  snmpEnableAuthenTrap = on | off

Default:  off

Example:

Desktop SNMP

snmpEnableAuthenTrap = on

Note

To increase security on your computer, set the value of this parameter to ON.


snmpEnableAuthenTrap sa
Related Topics

Control Community

Enable Control Community

Enable Monitor Community

Enable Trap Community

Monitor Community

Trap Community

Desktop SNMP


specified monitor comm
Specified

Only the community specified by the Monitor Community parameter can query the computer for inventory information. If no community name is specified for the Monitor Community parameter, the community "public" has rights to query the computer.


specified trap
Specified

Only the community specified by the Trap Community parameter can capture alerts from the computer. If no Control Community is specified, the community "public" has rights to capture traps from the computer.


sysContact

Provides a field for listing the name of a person who manages the computer. An SNMP management console can poll the computer for this information.

Syntax:  sysContact = contact

Default:  None

Example:

Desktop SNMP

sysContact = Bob Jones x324

Note

This parameter is optional.


sysContact SA
Related Topics

sysName

sysLocation

Desktop SNMP


sysLocation

Provides a field for listing information about the location of the computer. An SNMP management console can poll the computer for this information.

Syntax:  sysLocation = location

Default:  None

Example:

Desktop SNMP

sysLocation = Building 2

Note

This parameter is optional.


sysLocation SA
Related Topics

sysName

sysContact

Desktop SNMP


sysName

Provides a field for specifying a username for the computer. SNMP can poll the computer for this information.

Syntax:  sysName = name

Default:  None

Example:

Desktop SNMP

sysName = Suzanne

Note

This parameter is optional.


sysName SA
Related Topics

sysContact

sysLocation

Desktop SNMP